      program ee ! get edge energy, absorption coefficient, etc.
c
c     front-end to "mucal" x-ray database
c
c     examples: 
c       ee zn        returns edge energies for zn
c       ee zn 12     returns edge energies and absorption coeff for 12 KeV
c       ee zn 12054  returns edge energies and absorption coeff for 12054 eV
c
      real xsec(10),energy(9)
      integer z
      character ename*2,unit*1,mode*2,str*10
      
      data unit /'c'/

      call getparm('f1',ename) ! get first argument from command
      call getparm('f2',str)   ! get second argument from command
    
      if(ename.eq.' ') then
         stop 'no data on vacancies'
      elseif(str.eq.' ') then
         mode='EE'
      else
         mode='MU'
      endif

      if(mode.eq.'MU') then
         call getrv(str,en,ierr)
         if(ierr.ne.0) then
            print*,'cannot understand command line - abort'
            stop
         endif ! ierr
         if(en.gt.500) en=en/1000 ! convert to KeV
      else ! mode
         en=10000 ! make up a number to keep mucal from bombing
      endif ! mode

      z=0
      call mucal(en,ename,z,unit,xsec,energy,erf,ierr)
c     print*,ierr
      if(ierr.eq.3) stop 'unknown element'
      write(str,'(i2)') z
      if(mode.eq.'EE') then
         print*,'Data for ',ename,'; Z = ',str(:2)
         print*,'K, L edges: ',
     _        energy(1),energy(4),energy(3),energy(2), 'KeV'
      else
         print*,'Data for ',ename,'; Z = ',str(:2),' at E = ',en,' KeV'
         print*,'K, L edges: ',
     _        energy(1),energy(4),energy(3),energy(2), 'KeV'
         xcm=1./(xsec(8)*xsec(4))
         xmicrons=10000*xcm
c        print*,xcm,xmicrons
         if(xmicrons.lt.1000) then  ! use microns
            write(*,'(a,f6.1,a,f6.2,a)') 
     _           'total x-section: ',xsec(4),' cm2/gm;  '//
     _           '1/mu (element):  ',xmicrons,' microns'
         else  ! use cm
            write(*,'(a,f6.1,a,f9.2,a)') 
     _           'total x-section: ',xsec(4),' cm2/gm;  '//
     _           '1/mu (element):  ',xcm,' cm'
         endif
         print*,'atomic weight: ',xsec(7),'; density: ',xsec(8)
c         print*,xsec
      endif
      end

