	PROGRAM MAT
C----------------------------------------------------------------------+
C	THIS IS A PROGRAM TO SUPPLY INFORMATIONS ABOUT DIFFERENT       |
C	MATERIALS USING THE SUBROUTINE MUCAL                           |
C	ALL CALCULATIONS ARE BASED ON DATA COMPILED BY McMASTER        |
C	WRITTEN BY PATHIKRIT BANDYOPADHYAY ON SEP 8,1985               |
C	ADD ABS.LENGTH,DEFAULT VALUES /SEP 9,_PAT                      |
C	MAKE FANCY OUTPUT/SEP 14,_PAT                                  |
C	REVISION DATE SEP 14,1985                                      |
C       10-21-85 output absorption length in CM as well as microns     |
C           (useful for gases); print out revision date (RDATE)_BB     |
C	06-10-89 do not print edge jumps for z<10                      |
C	06-15-89 Change message for z>10                               |
C                                                                      |
C$Log:	mat.f,v $
c Revision 1.5  91/09/08  13:58:04  patb
c check error in name before asking a lot of questions.
c 
c Revision 1.4  91/09/08  13:40:56  patb
c *** empty log message ***
c 
c Revision 1.3  91/09/08  13:35:22  patb
c added version number. added ref. for fluorescence yield data.
c 
c Revision 1.2  91/09/06  21:41:01  patb
c fixed output format to print fluorescence yield.
c 
c Revision 1.1  91/06/11  16:54:26  bunker
c Initial revision
c 
c Revision 1.11  91/04/10  16:44:39  EXAFS
c change format statement so more decimal places are given for L-edges
c   and L jumps. --- April 10,1991 by anne
c 
c Revision 1.10  91/04/05  14:47:07  patb
c fixed bug for using previous name. bug with eV KeV checking.
c 
c Revision 1.9  91/03/11  23:04:58  patb
c added option to use old material name as default if new name is not given
c 
c Revision 1.8  91/03/11  17:44:55  patb
c added quit option
c 
c Revision 1.7  90/02/16  10:45:07  bunker
c check for eV or KeV energy entries
c                                                                 |
C----------------------------------------------------------------------+
	REAL XSEC(10),ENER(9),EN,EJ(2),SEC(10),TMP1,TMP2,FLY(4)
	INTEGER ER,Z
	LOGICAL FLAG,FLAG2,first
 	CHARACTER NAME*2,UNIT,RES,ANS,CEN*10,JU*2,os*57
 	CHARACTER cer*57,oname*2
	character*40 verstring*40,rdatestring*40,rdate*10,ver*4
	data verstring /'$Revision: 1.5 $'/
	data rdatestring /'$Date: 91/09/08 13:58:04 $'/
	rdate=rdatestring(8:16)
	ver=verstring(12:15)
C
c	DATA RDATE /'06-15-89'/
C
	first=.true.
	os='Information On Edge and Fluorescence Energies, X-Sections'
        print*,' '
	print*,'Welcome to MAT.'//' version ',ver,' Revised ',rdate
        print*,' '
	PRINT*,'***'//os//' Of A Material***'
        print*,' '
	PRINT*,'***NO INFORMTION ON ','''','Po,At,Fr,Ra,Ac,Pa,Np','''',
	1'***'
        print*,' '
C----------------------------------------------------------------------+
C	INITIALIZE                                                     |
C----------------------------------------------------------------------+
10	UNIT=' '
	NAME=' '
	ANS=' '
	en=-1.0
	Z=0
	ER=0
	FLAG=.false.
	DO 20 N=1,9
	 SEC(N)=0
	 XSEC(N)=0
	 ENER(N)=0
20	CONTINUE
	XSEC(10)=0
	SEC(10)=0
	EJ(1)=0
	EJ(2)=0
	TMP1=0
	TMP2=0
21	PRINT 60,CHAR(7)//'Material name ? : '
	READ 70,NAME
	goto 23
22	PRINT 60,CHAR(7)//'Name needed. Material Name ? : '
	READ 70,NAME
23	if(first)then
	 if(name.eq.'')then
	  goto 22
	 else
	  first=.false.
	 endif
	else
         if(name.eq.'')name=oname
	endif
	CALL MUCAL(EN,NAME,Z,UNIT,XSEC,ENER,FLY,FLAG,ER)
	if(er.eq.2)then
	 print*,name,'  does not exist !'
	 first=.false.
	 er=0
	 goto 21
	endif
	flag=.true.
25	PRINT 60,'Want to know,Energies,X-sections,All,quit ?(e/x/a/q)['
	1//'e]:'
	READ 70,RES
	call lowcase(res)
	IF(RES.EQ.'x'.OR.RES.EQ.'a') then
	GOTO 40
	elseIF(RES.EQ.'e'.or.res.eq.'') then
C----------------------------------------------------------------------+
C	CALL MUCAL TO KNOW THE ENERGIES                                |
C----------------------------------------------------------------------+
	EN=-1.0
	CALL MUCAL(EN,NAME,Z,UNIT,XSEC,ENER,FLY,FLAG,ER)
	IF(ER.GT.0.AND.ER.LE.4) GOTO 1000
	WRITE(*,'(1X,79(1H-))')
	PRINT 700,'FOR ','''',NAME,'''',' WITH ATOMIC NO. ',Z,' : '
	WRITE(*,'(1X,29(1H-))')
	GOTO 100
C----------------------------------------------------------------------+
	elseif (RES.EQ.'q') then
	goto 10000
	else
	goto 25
	endif
C----------------------------------------------------------------------+
C	CALL MUCAL FOR X-SECTIONS AND EDGE JUMPS                       |
C----------------------------------------------------------------------+
40	PRINT 60,'At what energy ([1mKeV[0m) ? : '
	READ*,EN
        if(en.gt.500) then
           print*,'Over 500 KeV: I''m assuming you entered eV'
           en=en/1000
        endif
	PRINT 60,'Units to be used cm**2/gm or barns/atom? (C/B) [C]: '
	READ 70,UNIT
	IF (UNIT.EQ.'B'.or.unit.eq.'b') THEN
	 CALL MUCAL(EN,NAME,Z,UNIT,XSEC,ENER,FLY,FLAG,ER)
	ELSE
	 UNIT='C'
	 CALL MUCAL(EN,NAME,Z,UNIT,XSEC,ENER,FLY,FLAG,ER)
	ENDIF
	IF(ER.GT.0.AND.ER.LE.4) GOTO 1000
C----------------------------------------------------------------------+
C	CALCULATE K,L1 EDGE JUMP                                       |
C----------------------------------------------------------------------+
	FLAG2=.FALSE.
	TMP2=ENER(1)
	CALL MUCAL(TMP2,NAME,Z,UNIT,SEC,ENER,FLY,FLAG2,ER)
	TMP1=SEC(1)
	TMP2=TMP2-.001
	CALL MUCAL(TMP2,NAME,Z,UNIT,SEC,ENER,FLY,FLAG2,ER)
	EJ(1)=TMP1/SEC(1)
	IF(Z.LE.29) GOTO 50
	TMP2=ENER(2)
	CALL MUCAL(TMP2,NAME,Z,UNIT,SEC,ENER,FLY,FLAG2,ER)
	TMP1=SEC(1)
	TMP2=TMP2-.001
	CALL MUCAL(TMP2,NAME,Z,UNIT,SEC,ENER,FLY,FLAG2,ER)
	EJ(2)=TMP1/SEC(1)
C----------------------------------------------------------------------+
C	START PRINTING ANSWERS                                         |
C----------------------------------------------------------------------+
50	WRITE(*,'(1X,79(1H-))')
	PRINT 700,'For ','''',NAME,'''',' with atomic No. ',Z,' '//
c	WRITE(*,'(1X,29(1H-))')
	1' at  ',EN,' KeV : '
	WRITE(*,'(1X,79(1H-))')
	IF(UNIT.EQ.'B'.OR.UNIT.EQ.'b') THEN
	 PRINT*,' Photo X-section is              ',XSEC(1),
	1'  barns/atom'
	 PRINT*,' Coherent X-section is           ',XSEC(2),
	1'  barns/atom'
	 PRINT*,' Incoherent X-section is         ',XSEC(3),
	1'  barns/atom'
	 PRINT*,' Total X-section is              ',XSEC(4),
	1'  barns/atom'
	ENDIF
	IF(UNIT.EQ.'C'.OR.UNIT.EQ.'c') THEN
	PRINT*,' Photo X-section is              ',XSEC(1), '  cm**2/gm'
	PRINT*,' Coherent X-section is           ',XSEC(2), '  cm**2/gm'
	PRINT*,' Incoherent X-section is         ',XSEC(3), '  cm**2/gm'
	PRINT*,' Total X-section is              ',XSEC(4), '  cm**2/gm'
	ENDIF
	WRITE(*,'(1X,A,F5.1,A)')'The unit conversion factor (C) is  ',
	1XSEC(5),'         {(B/A) = C * (cm**2/gm)}'
	PRINT*,' The absorption coefficient is   ',XSEC(6),'  1/cm'
	PRINT*,' The Absorption length is        ',1E4/XSEC(6),'  micron
	1s'
	PRINT*,'                                 = ',1/XSEC(6),'  cm'
        if (z.gt.10) then
	 WRITE(*,'(1X,A,4(F8.5,2X))')'K,L1,L2,L3 jump'//
	1'   ',EJ(1),EJ(2),XSEC(9),XSEC(10)
c	print*,EJ(2)
        else
	cer=' Edge jumps can not be calculated with McMaster data for '
	 print*,cer//'this Z.'
        endif
	WRITE(*,'(1X,79(1H-))')
	IF(RES.EQ.'a'.OR.RES.EQ.'A') THEN
	 GOTO 100
	ELSE
	 GOTO 1000
	ENDIF
700	FORMAT(1X,5A,I2,A,f7.3,a)
100	WRITE(*,'(1X,A,F8.4,A)')'The Atomic weight is  ',XSEC(7),
	1'                  gm/mole'
	WRITE(*,'(1X,A,F7.4,A)')'The Density is         ',XSEC(8),
	1'                  gm/cc'
	PRINT73,'K-edge            at: ',ENER(1),'                  KEV'
	PRINT72,'L1,L2,L3-edges    at: ',ENER(2),ENER(3),ENER(4),
	1 '  KEV'
	PRINT73,'M-edge            at: ',ENER(5),'                  KEV'
	PRINT71,'K-Alpha1,K-Beta1  at: ',ENER(6),ENER(7),'          KEV'
	PRINT71,'L-Alpha1,L-Beta1  at: ',ENER(8),ENER(9),'          KEV'
	print74,fly(1),fly(2),fly(3),fly(4)
	WRITE(*,'(1X,79(1H-))')
1000	PRINT 60,CHAR(7)//'MORE INFORMATION ?(Y/N) [Y]: '
	READ 70,ANS
	IF(ANS.EQ.'N'.OR.ANS.EQ.'n') THEN
	 GOTO 10000
	ELSE
	 oname=name
	 GOTO 10
	ENDIF
60	FORMAT(A$)
70	FORMAT($A)
71	FORMAT(1X,A,2(F8.4),A)
72	FORMAT(1X,A,3(F8.4),A)
73	FORMAT(1X,A,F8.4,A)
74	format(1x,'Fluorescence yield for K,L1,L2,L3: ',4(f8.4))
10000	PRINT*,'All Calculations Were Based On Data Compiled By W. H.'//
	1' McMaster et. al.','Fluorescence yield data by M. O. Krause,' 
	1,'J. Phys. Chem. Ref. Data. 8, 307(1979).'
	END
