      subroutine mucal(en,mane,z,unit,xsec,energy,fly,erf,er)
c----------------------------------------------------------------------+
c  DO NOT REMOVE THIS BLOCK                                            |
c	to go to the begining of the acual programme search for        |
c	"programme starts".                                            |
c     this is a program to calculate x-sections useing mcmaster        |
c     data in may 1969 edition. written by pathikrit bandyopadhyay     |
c     at the university of notre dame.i am thankful to                 |
c     dr. b. a. bunker and mr. q. t. islam for their helpful           |
c     suggestions. special thanks goes to mr. m. zanabria              |
c     for helping to get all the data in.                              |
c                                                                      |
c  DISCLAIMER                                                          |
c                                                                      |
c This program is freeware . You may freely copy and redistribute it.  |
c Permission is granted to modify the source for your own purposes.    |
c                                                                      |
c There are absolutely NO WARRANTY on this program. The author takes no|
c responsibility for any damage caused by this program. The author     |
c takes no responsibility for time lost if incorrect or misleading     |
c results are produced by this program. If a warranty is required by   |
c law where you intend to use this software permission to use this     |
c software there is revoked.                                           |
c----------------------------------------------------------------------+
c     ***note:this program has data for all the elements from 1 to 94  |
c     with the following exceptions:                                   |
c     84  po \                                                         |
c     85  at |                                                         |
c     87  fr |                                                         |
c     88  ra  > mc master did not have any data for these.             |
c     89  ac |                                                         |
c     91  pa |                                                         |
c     93  np /                                                         |
c     input:                                                           |
c     en=energy at which we need the x-section                         |
c     mane=name of material                                     **     |
c     unit=units to be used.'C' for cm**2/gm,'B' for barns/atom        |
c     z=if you do not know what it is,what are you doing here ? **     |
c     erf=true or false (true will print error message on terminal)    |
c                                                                      |
c     returned values:                                                 |
c     xsec(1)=photoelectric x-section                                  |
c     xsec(2)=coherent x-section                                       |
c     xsec(3)=incoherent x-section                                     |
c     xsec(4)=total x-section                                          |
c     xsec(5)=conversion factor                                        |
c     xsec(6)=absorption coefficient                                   |
c     xsec(7)=atomic weight                                            |
c     xsec(8)=density                                                  |
c     xsec(9)=l2-edge jump                                             |
c     xsec(10)=l3-edge jump                                            |
c                                                                      |
c     energy(1)=k-edge energy                                          |
c     energy(2)=l1-edge energy                                         |
c     energy(3)=l2-edge energy                                         |
c     energy(4)=l3-edge energy                                         |
c     energy(5)=m-edge energy                                          |
c     energy(6)=k-alpha1                                               |
c     energy(7)=k-beta1                                                |
c     energy(8)=l-alpha1                                               |
c     energy(9)=l-beta1                                                |
c                                                                      |
c     fly(1)= k fluorescence yield				       |
c     fly(2)= l1 fluorescence yield				       |
c     fly(3)= l2 fluorescence yield				       |
c     fly(4)= l3 fluorescence yield				       |
c                                                                      |
c     er=error code                                                    |
c                                                                      |
c     error codes:                                                     |
c     er=1: energy input is zero                                       |
c     er=2: name does not match                                        |
c     er=3: no documentation for given element (z<94)                  |
c     er=4: no documentation for given element (z>94)                  |
c     er=5: l-edge calculation may be wrong for z<30 as mcmaster       |
c     uses l1 only.                                                    |
c     er=6: energy at the middle of edge                               |
c     er=7: no name or z supplied                                      |
c                                                                      |
c     ** these will be returned if not given                           |
c     put all returned values in array xsec/jul,28 _pat                |
c     can call it either by element name or z/jul,31 _pat              |
c     data input completed on sept 1,1985 ______pat                    |
c     change call format,include energy array,includ density           |
c     in xsec,add error # & error flag/sep,6 _pat                      |
c     correct l-edge calculation using step jump                       |
c     and warning for z<30/sep,9 _pat                                  |
c     return l-edges /sep 10,_ pat                                     |
c     return l-edge jumps,error 6 /sep 12,_ pat                        |
c     check for no name & z,error 7 /sep 13,_ pat                      |
c     thanks to quazi ljump can not be calculated for z<30 -pat        |
c     revision date dec 9,1985 _____________ pat                       |
c     l-edges for elements z=12-26 supplied from nsls handbook         |
c     & corrections as noted by kim of nrl, april6,1991 ______anne     |
c     add if statement so accept energy e=1. kev, and                  |
c     print ljump for z=27 and 28,april10,1991______________anne       |
c     corrected l2 l3 edge calculation (thanks to boyan)               |
c     using l-edge coefficianets instead of m-edge ones.____3/15/95 pat|
c     correct AK(1,57) coefficient (for La)                            |
c     correct density for H, He, and C ____4/25/98 boyan               |
c     correct l-lines for rare earth elements ____10/24/05 carlo
c     correct al(1) coefficient for U -------11/02/05 carlo
c----------------------------------------------------------------------+
c Revision 1.9.2  11/02/05  23:50:00  carlo
c         
      parameter (nel=94)
      integer n,z,er
      logical erf
      character*2 name(nel),mane,unit*1
      real bax,xsec(10),ka(nel),kb(nel),la(nel),lb(nel),energy(9)
      real l2(nel),l3(nel),lj3(nel),lj2,lj1
      dimension ek(nel),el(nel),em(nel),den(nel),atwt(nel)
      dimension cf(nel),fek(nel),fel(3,nel),fly(4)
      dimension ak(0:3,nel),al(0:3,nel),am(0:3,nel),an(0:3,nel)
      dimension cih(0:3,nel),coh(0:3,nel)
      data name( 1),  ek( 1),el( 1)/
     $     'H ',  0.140000e-01,  0.000000e+00/
      data ak(0, 1),ak(1, 1),ak(2, 1),ak(3, 1)/
     $     0.244964e+01, -0.334953e+01, -0.471370e-01,  0.709962e-02/
      data al(0, 1),al(1, 1),al(2, 1),al(3, 1)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 1),am(1, 1),am(2, 1),am(3, 1)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 1),an(1, 1),an(2, 1),an(3, 1)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 1),cf( 1),atwt(1)/0.000089, 0.167400e+01,1.008/
      data coh(0, 1),coh(1, 1),coh(2, 1),coh(3, 1)/
     $     -0.119075e+00, -0.937086e+00, -0.200538e+00,  0.106587e-01/
      data cih(0, 1),cih(1, 1),cih(2, 1),cih(3, 1)/
     $     -0.215772e+01,  0.132685e+01, -0.305620e+00,  0.185025e-01/
      data name( 2),  ek( 2),el( 2)/
     $     'HE',  0.250000e-01,  0.000000e+00/
      data ak(0, 2),ak(1, 2),ak(2, 2),ak(3, 2)/
     $     0.606488e+01, -0.329055e+01, -0.107256e+00,  0.144465e-01/
      data al(0, 2),al(1, 2),al(2, 2),al(3, 2)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 2),am(1, 2),am(2, 2),am(3, 2)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 2),an(1, 2),an(2, 2),an(3, 2)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 2),cf( 2),atwt(2)/0.0001785, 0.664700e+01,4.003/
      data coh(0, 2),coh(1, 2),coh(2, 2),coh(3, 2)/
     $     0.104768e+01, -0.851805e-01, -0.403527e+00, 0.269398e-01/
      data cih(0, 2),cih(1, 2),cih(2, 2),cih(3, 2)/
     $     -0.256357e+01,  0.202536e+01, -0.448710e+00,  0.279691e-01/
      data name( 3),  ek( 3),el( 3)/
     $     'LI',  0.550000e-01,  0.000000e+00/
      data ak(0, 3),ak(1, 3),ak(2, 3),ak(3, 3)/
     $     0.775370e+01, -0.281801e+01, -0.241378e+00,  0.262542e-01/
      data al(0, 3),al(1, 3),al(2, 3),al(3, 3)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 3),am(1, 3),am(2, 3),am(3, 3)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 3),an(1, 3),an(2, 3),an(3, 3)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 3),cf( 3),atwt(3)/0.534, 0.115200e+02,6.940/
      data coh(0, 3),coh(1, 3),coh(2, 3),coh(3, 3)/
     $     0.134366e+01,  0.181557e+00, -0.423981e+00,  0.266190e-01/
      data cih(0, 3),cih(1, 3),cih(2, 3),cih(3, 3)/
     $     -0.108740e+01,  0.103368e+01, -0.190377e+00,  0.779955e-02/
      data name( 4),  ek( 4),el( 4)/
     $     'BE',  0.112000e+00,  0.000000e+00/
      data ak(0, 4),ak(1, 4),ak(2, 4),ak(3, 4)/
     $     0.904511e+01, -0.283487e+01, -0.210021e+00,  0.229526e-01/
      data al(0, 4),al(1, 4),al(2, 4),al(3, 4)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 4),am(1, 4),am(2, 4),am(3, 4)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 4),an(1, 4),an(2, 4),an(3, 4)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 4),cf( 4),atwt(4)/1.848, 0.149600e+02,9.012/
      data coh(0, 4),coh(1, 4),coh(2, 4),coh(3, 4)/
     $     0.200860e+01, -0.461920e-01, -0.337018e+00,  0.186939e-01/
      data cih(0, 4),cih(1, 4),cih(2, 4),cih(3, 4)/
     $     -0.690079e+00,  0.946448e+00, -0.171142e+00,  0.651413e-02/
      data name( 5),  ek( 5),el( 5)/
     $     'B ',  0.188000e+00,  0.000000e+00/
      data ak(0, 5),ak(1, 5),ak(2, 5),ak(3, 5)/
     $     0.995057e+01, -0.274174e+01, -0.215138e+00,  0.227845e-01/
      data al(0, 5),al(1, 5),al(2, 5),al(3, 5)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 5),am(1, 5),am(2, 5),am(3, 5)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 5),an(1, 5),an(2, 5),an(3, 5)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 5),cf( 5),atwt(5)/2.340, 0.179500e+02,10.811/
      data coh(0, 5),coh(1, 5),coh(2, 5),coh(3, 5)/
     $     0.262862e+01, -0.207916e+00, -0.286283e+00,  0.144966e-01/
      data cih(0, 5),cih(1, 5),cih(2, 5),cih(3, 5)/
     $     -0.791177e+00,  0.121611e+01, -0.239087e+00,  0.117686e-01/
      data name( 6),  ek( 6),el( 6)/
     $     'C ',  0.284000e+00,  0.000000e+00/
      data ak(0, 6),ak(1, 6),ak(2, 6),ak(3, 6)/
     $     0.106879e+02, -0.271400e+01, -0.200530e+00,  0.207248e-01/
      data al(0, 6),al(1, 6),al(2, 6),al(3, 6)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data am(0, 6),am(1, 6),am(2, 6),am(3, 6)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 6),an(1, 6),an(2, 6),an(3, 6)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 6),cf( 6),atwt(6)/2.260, 0.199400e+02,12.01/
      data coh(0, 6),coh(1, 6),coh(2, 6),coh(3, 6)/
     $     0.310861e+01, -0.260580e+00, -0.271974e+00,  0.135181e-01/
      data cih(0, 6),cih(1, 6),cih(2, 6),cih(3, 6)/
     $     -0.982878e+00,  0.146693e+01, -0.293743e+00,  0.156005e-01/
      data name( 7),  ek( 7),el( 7)/
     $     'N ',  0.402000e+00,  0.000000e+00/
      data ak(0, 7),ak(1, 7),ak(2, 7),ak(3, 7)/
     $     0.112765e+02, -0.265400e+01, -0.200445e+00,  0.200765e-01/
      data al(0, 7),al(1, 7),al(2, 7),al(3, 7)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 7),cf( 7),atwt(7)/1.250e-03, 0.232600e+02,14.008/
      data coh(0, 7),coh(1, 7),coh(2, 7),coh(3, 7)/
     $     0.347760e+01, -0.215762e+00, -0.288874e+00,  0.115131e-01/
      data cih(0, 7),cih(1, 7),cih(2, 7),cih(3, 7)/
     $     -0.123693e+01,  0.174510e+01, -0.354660e+00,  0.198705e-01/
      data name( 8),  ek( 8),el( 8)/
     $     'O ',  0.537000e+00,  0.000000e+00/
      data ak(0, 8),ak(1, 8),ak(2, 8),ak(3, 8)/
     $     0.117130e+02, -0.257229e+01, -0.205893e+00,  0.199244e-01/
      data al(0, 8),al(1, 8),al(2, 8),al(3, 8)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 8),cf( 8),atwt(8)/1.429e-03, 0.265700e+02,16.0/
      data coh(0, 8),coh(1, 8),coh(2, 8),coh(3, 8)/
     $     0.377239e+01, -0.148539e+00, -0.307124e+00,  0.167303e-01/
      data cih(0, 8),cih(1, 8),cih(2, 8),cih(3, 8)/
     $     -0.173679e+01,  0.217686e+01, -0.449050e+00,  0.264733e-01/
      data name( 9),  ek( 9),el( 9)/
     $     'F ',  0.686000e+00,  0.000000e+00/
      data ak(0, 9),ak(1, 9),ak(2, 9),ak(3, 9)/
     $     0.120963e+02, -0.244148e+01, -0.234461e+00,  0.219954e-01/
      data al(0, 9),al(1, 9),al(2, 9),al(3, 9)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den( 9),cf( 9),atwt(9)/1.108, 0.315500e+02,19.0/
      data coh(0, 9),coh(1, 9),coh(2, 9),coh(3, 9)/
     $     0.400716e+01, -0.560908e-01, -0.332017e+00,  0.187934e-01/
      data cih(0, 9),cih(1, 9),cih(2, 9),cih(3, 9)/
     $     -0.187570e+01,  0.232016e+01, -0.475412e+00,  0.280680e-01/
      data name(10),  ek(10),el(10)/
     $     'NE',  0.867000e+00,  0.000000e+00/
      data ak(0,10),ak(1,10),ak(2,10),ak(3,10)/
     $     0.124485e+02, -0.245819e+01, -0.212591e+00,  0.196489e-01/
      data al(0,10),al(1,10),al(2,10),al(3,10)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(10),cf(10),atwt(10)/9.000e-04, 0.335100e+02,20.183/
      data coh(0,10),coh(1,10),coh(2,10),coh(3,10)/
     $     0.420151e+01,  0.416247e-01, -0.356754e+00,  0.207585e-01/
      data cih(0,10),cih(1,10),cih(2,10),cih(3,10)/
     $     -0.175510e+01,  0.224226e+01, -0.447640e+00,  0.255801e-01/
      data name(11),  ek(11),el(11)/
     $     'NA',  0.107200e+01,  0.000000e+00/
      data ak(0,11),ak(1,11),ak(2,11),ak(3,11)/
     $     0.126777e+02, -0.224521e+01, -0.274873e+00,  0.250270e-01/
      data al(0,11),al(1,11),al(2,11),al(3,11)/
     $     0.102355e+02, -0.255905e+01, -0.119524e+00,  0.000000e+00/
      data den(11),cf(11),atwt(11)/0.970, 0.381900e+02,22.997/
      data coh(0,11),coh(1,11),coh(2,11),coh(3,11)/
     $     0.426374e+01,  0.134662e+00, -0.370080e+00,  0.214467e-01/
      data cih(0,11),cih(1,11),cih(2,11),cih(3,11)/
     $     -0.967717e+00,  0.161794e+01, -0.287191e+00,  0.131526e-01/
      data ka(11),kb(11),la(11),lb(11)/
     $     0.104100e+01,  0.106700e+01,  0.000000e+00,  0.000000e+00/
      data name(12),  ek(12),el(12)/
     $     'MG',  0.130500e+01,  0.630000e-01/
      data ak(0,12),ak(1,12),ak(2,12),ak(3,12)/
     $     0.128793e+02, -0.212574e+01, -0.299392e+00,  0.267643e-01/
      data al(0,12),al(1,12),al(2,12),al(3,12)/
     $     0.105973e+02, -0.289818e+01,  0.234506e+00,  0.000000e+00/
      data den(12),cf(12),atwt(12)/1.740, 0.403800e+02,24.320/
      data coh(0,12),coh(1,12),coh(2,12),coh(3,12)/
     $     0.439404e+01,  0.137858e+00, -0.359540e+00,  0.202380e-01/
      data cih(0,12),cih(1,12),cih(2,12),cih(3,12)/
     $     -0.571611e+00,  0.135498e+01, -0.222491e+00,  0.830141e-02/
      data ka(12),kb(12),la(12),lb(12)/
     $     0.125400e+01,  0.129700e+01,  0.000000e+00,  0.000000e+00/
      data name(13),  ek(13),el(13)/
     $     'AL',  0.156000e+01,  0.870000e-01/
      data ak(0,13),ak(1,13),ak(2,13),ak(3,13)/
     $     0.131738e+02, -0.218203e+01, -0.258960e+00,  0.222840e-01/
      data al(0,13),al(1,13),al(2,13),al(3,13)/
     $     0.108711e+02, -0.277860e+01,  0.175853e+00,  0.000000e+00/
      data den(13),cf(13),atwt(13)/2.720, 0.447800e+02,26.970/
      data coh(0,13),coh(1,13),coh(2,13),coh(3,13)/
     $     0.415995e+01,  0.140549e+00, -0.352441e+00,  0.193692e-01/
      data cih(0,13),cih(1,13),cih(2,13),cih(3,13)/
     $     -0.439322e+00,  0.130867e+01, -0.211648e+00,  0.754210e-02/
      data ka(13),kb(13),la(13),lb(13)/
     $     0.148700e+01,  0.155300e+01,  0.000000e+00,  0.000000e+00/
      data name(14),  ek(14),el(14)/
     $     'SI',  0.183900e+01,  0.118000e+00/
      data ak(0,14),ak(1,14),ak(2,14),ak(3,14)/
     $     0.132682e+02, -0.198174e+01, -0.316950e+00,  0.273928e-01/
      data al(0,14),al(1,14),al(2,14),al(3,14)/
     $     0.112237e+02, -0.273694e+01,  0.127557e+00,  0.000000e+00/
      data den(14),cf(14),atwt(14)/2.330, 0.466300e+02,28.086/
      data coh(0,14),coh(1,14),coh(2,14),coh(3,14)/
     $     0.464678e+01,  0.162780e+00, -0.358563e+00,  0.196926e-01/
      data cih(0,14),cih(1,14),cih(2,14),cih(3,14)/
     $     -0.414971e+00,  0.134868e+01, -0.222315e+00,  0.841959e-02/
      data ka(14),kb(14),la(14),lb(14)/
     $     0.174000e+01,  0.183200e+01,  0.000000e+00,  0.000000e+00/
      data name(15),  ek(15),el(15)/
     $     'P ',  0.214900e+01,  0.153000e+00/
      data ak(0,15),ak(1,15),ak(2,15),ak(3,15)/
     $     0.133735e+02, -0.186342e+01, -0.339440e+00,  0.288858e-01/
      data al(0,15),al(1,15),al(2,15),al(3,15)/
     $     0.115508e+02, -0.292200e+01,  0.254262e+00,  0.000000e+00/
      data den(15),cf(15),atwt(15)/1.820, 0.514300e+02,30.975/
      data coh(0,15),coh(1,15),coh(2,15),coh(3,15)/
     $     0.478525e+01,  0.168708e+00, -0.360383e+00,  0.197155e-01/
      data cih(0,15),cih(1,15),cih(2,15),cih(3,15)/
     $     -0.476903e+00,  0.146032e+01, -0.251331e+00,  0.107202e-01/
      data ka(15),kb(15),la(15),lb(15)/
     $     0.201500e+01,  0.213600e+01,  0.000000e+00,  0.000000e+00/
      data name(16),  ek(16),el(16)/
     $     'S ',  0.247200e+01,  0.193000e+00/
      data ak(0,16),ak(1,16),ak(2,16),ak(3,16)/
     $     0.137394e+02, -0.204786e+01, -0.273259e+00,  0.229976e-01/
      data al(0,16),al(1,16),al(2,16),al(3,16)/
     $     0.118181e+02, -0.264618e+01, -0.968049e-01,  0.000000e+00/
      data am(0,16),am(1,16),am(2,16),am(3,16)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,16),an(1,16),an(2,16),an(3,16)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(16),cf(16)/2.000, 0.532400e+02/
      data em(16),atwt(16)/ 0.170000e-01,32.066/
      data coh(0,16),coh(1,16),coh(2,16),coh(3,16)/
     $     0.492707e+01,  0.165746e+00, -0.359424e+00,  0.195505e-01/
      data cih(0,16),cih(1,16),cih(2,16),cih(3,16)/
     $     -0.656419e+00,  0.165408e+01, -0.298623e+00,  0.142979e-01/
      data ka(16),kb(16),la(16),lb(16)/
     $     0.230800e+01,  0.246400e+01,  0.000000e+00,  0.000000e+00/
      data name(17),  ek(17),el(17)/
     $     'CL',  0.282200e+01,  0.238000e+00/
      data ak(0,17),ak(1,17),ak(2,17),ak(3,17)/
     $     0.136188e+02, -0.171937e+01, -0.354154e+00,  0.290841e-01/
      data al(0,17),al(1,17),al(2,17),al(3,17)/
     $     0.120031e+02, -0.241694e+01, -0.240897e+00,  0.000000e+00/
      data am(0,17),am(1,17),am(2,17),am(3,17)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,17),an(1,17),an(2,17),an(3,17)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(17),cf(17)/1.560, 0.588700e+02/
      data em(17),atwt(17)/ 0.170000e-01,35.457/
      data coh(0,17),coh(1,17),coh(2,17),coh(3,17)/
     $     0.507222e+01,  0.149127e+00, -0.352858e+00,  0.189439e-01/
      data cih(0,17),cih(1,17),cih(2,17),cih(3,17)/
     $     -0.718627e+00,  0.174294e+01, -0.319429e+00,  0.158429e-01/
      data ka(17),kb(17),la(17),lb(17)/
     $     0.262200e+01,  0.281500e+01,  0.000000e+00,  0.000000e+00/
      data name(18),  ek(18),el(18)/
     $     'AR',  0.320200e+01,  0.287000e+00/
      data ak(0,18),ak(1,18),ak(2,18),ak(3,18)/
     $     0.139491e+02, -0.182276e+01, -0.328827e+00,  0.274382e-01/
      data al(0,18),al(1,18),al(2,18),al(3,18)/
     $     0.122960e+02, -0.263279e+01, -0.736600e-01,  0.000000e+00/
      data am(0,18),am(1,18),am(2,18),am(3,18)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,18),an(1,18),an(2,18),an(3,18)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(18),cf(18)/1.784e-03, 0.663200e+02/
      data em(18),atwt(18)/ 0.270000e-01,39.944/
      data coh(0,18),coh(1,18),coh(2,18),coh(3,18)/
     $     0.521079e+01,  0.135618e+00, -0.347214e+00,  0.184333e-01/
      data cih(0,18),cih(1,18),cih(2,18),cih(3,18)/
     $     -0.682105e+00,  0.174279e+01, -0.317646e+00,  0.156467e-01/
      data ka(18),kb(18),la(18),lb(18)/
     $     0.295700e+01,  0.319200e+01,  0.000000e+00,  0.000000e+00/
      data name(19),  ek(19),el(19)/
     $     'K ',  0.360700e+01,  0.341000e+00/
      data ak(0,19),ak(1,19),ak(2,19),ak(3,19)/
     $     0.137976e+02, -0.154015e+01, -0.394528e+00,  0.323561e-01/
      data al(0,19),al(1,19),al(2,19),al(3,19)/
     $     0.124878e+02, -0.253656e+01, -0.104892e+00,  0.000000e+00/
      data am(0,19),am(1,19),am(2,19),am(3,19)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,19),an(1,19),an(2,19),an(3,19)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(19),cf(19)/0.862, 0.649300e+02/
      data em(19),atwt(19)/ 0.340000e-01,39.102/
      data coh(0,19),coh(1,19),coh(2,19),coh(3,19)/
     $     0.525587e+01,  0.188040e+00, -0.359623e+00,  0.193085e-01/
      data cih(0,19),cih(1,19),cih(2,19),cih(3,19)/
     $     -0.344007e+00,  0.149236e+01, -0.254135e+00,  0.107684e-01/
      data ka(19),kb(19),la(19),lb(19)/
     $     0.331300e+01,  0.358900e+01,  0.000000e+00,  0.000000e+00/
      data name(20),  ek(20),el(20)/
     $     'CA',  0.403800e+01,  0.400000e+00/
      data ak(0,20),ak(1,20),ak(2,20),ak(3,20)/
     $     0.142950e+02, -0.188644e+01, -0.283647e+00,  0.226263e-01/
      data al(0,20),al(1,20),al(2,20),al(3,20)/
     $     0.127044e+02, -0.255011e+01, -0.943195e-01,  0.000000e+00/
      data am(0,20),am(1,20),am(2,20),am(3,20)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,20),an(1,20),an(2,20),an(3,20)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(20),cf(20)/1.550, 0.665500e+02/
      data em(20),atwt(20)/ 0.440000e-01,40.080/
      data coh(0,20),coh(1,20),coh(2,20),coh(3,20)/
     $     0.532375e+01,  0.206685e+00, -0.361664e+00,  0.193328e-01/
      data cih(0,20),cih(1,20),cih(2,20),cih(3,20)/
     $     -0.982420e-01,  0.132829e+01, -0.213747e+00,  0.773065e-02/
      data ka(20),kb(20),la(20),lb(20)/
     $     0.369100e+01,  0.401200e+01,  0.000000e+00,  0.000000e+00/
      data name(21),  ek(21),el(21)/
     $     'SC',  0.449300e+01,  0.463000e+00/
      data ak(0,21),ak(1,21),ak(2,21),ak(3,21)/
     $     0.139664e+02, -0.140872e+01, -0.414365e+00,  0.334355e-01/
      data al(0,21),al(1,21),al(2,21),al(3,21)/
     $     0.128949e+02, -0.240609e+01, -0.177791e+00,  0.000000e+00/
      data am(0,21),am(1,21),am(2,21),am(3,21)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,21),an(1,21),an(2,21),an(3,21)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(21), cf(21)/ 0.299200e+01, 0.746500e+02/
      data em(21),atwt(21)/ 0.540000e-01,44.960/
      data coh(0,21),coh(1,21),coh(2,21),coh(3,21)/
     $     0.543942e+01,  0.200174e+00, -0.359064e+00,  0.191027e-01/
      data cih(0,21),cih(1,21),cih(2,21),cih(3,21)/
     $     -0.159831e+00,  0.139055e+01, -0.225849e+00,  0.851954e-02/
      data ka(21),kb(21),la(21),lb(21)/
     $     0.409000e+01,  0.446000e+01,  0.000000e+00,  0.000000e+00/
      data name(22),  ek(22),el(22)/
     $     'TI',  0.496500e+01,  0.531000e+00/
      data ak(0,22),ak(1,22),ak(2,22),ak(3,22)/
     $     0.143506e+02, -0.166322e+01, -0.331539e+00,  0.262065e-01/
      data al(0,22),al(1,22),al(2,22),al(3,22)/
     $     0.131075e+02, -0.253576e+01, -0.957177e-01,  0.000000e+00/
      data am(0,22),am(1,22),am(2,22),am(3,22)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,22),an(1,22),an(2,22),an(3,22)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(22), cf(22)/ 0.454000e+01, 0.795300e+02/
      data em(22),atwt(22)/ 0.590000e-01,47.9/
      data coh(0,22),coh(1,22),coh(2,22),coh(3,22)/
     $     0.555039e+01,  0.197697e+00, -0.357694e+00,  0.189866e-01/
      data cih(0,22),cih(1,22),cih(2,22),cih(3,22)/
     $     -0.230573e+00,  0.145848e+01, -0.239160e+00,  0.938528e-02/
      data ka(22),kb(22),la(22),lb(22)/
     $     0.451000e+01,  0.493100e+01,  0.000000e+00,  0.000000e+00/
      data name(23),  ek(23),el(23)/
     $     'V ',  0.546500e+01,  0.604000e+00/
      data ak(0,23),ak(1,23),ak(2,23),ak(3,23)/
     $     0.147601e+02, -0.188867e+01, -0.271861e+00,  0.215792e-01/
      data al(0,23),al(1,23),al(2,23),al(3,23)/
     $     0.132514e+02, -0.249765e+01, -0.106383e+00,  0.000000e+00/
      data am(0,23),am(1,23),am(2,23),am(3,23)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,23),an(1,23),an(2,23),an(3,23)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(23), cf(23)/ 0.611000e+01, 0.845900e+02/
      data em(23),atwt(23)/ 0.670000e-01,50.942/
      data coh(0,23),coh(1,23),coh(2,23),coh(3,23)/
     $     0.565514e+01,  0.199533e+00, -0.357487e+00,  0.189691e-01/
      data cih(0,23),cih(1,23),cih(2,23),cih(3,23)/
     $     -0.308103e+00,  0.152879e+01, -0.252768e+00,  0.102571e-01/
      data ka(23),kb(23),la(23),lb(23)/
     $     0.495200e+01,  0.542700e+01,  0.000000e+00,  0.000000e+00/
      data name(24),  ek(24),el(24)/
     $     'CR',  0.598900e+01,  0.682000e+00/
      data ak(0,24),ak(1,24),ak(2,24),ak(3,24)/
     $     0.148019e+02, -0.182430e+01, -0.279116e+00,  0.217324e-01/
      data al(0,24),al(1,24),al(2,24),al(3,24)/
     $     0.134236e+02, -0.251532e+01, -0.101999e+00,  0.000000e+00/
      data am(0,24),am(1,24),am(2,24),am(3,24)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,24),an(1,24),an(2,24),an(3,24)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(24), cf(24)/ 0.719000e+01, 0.863400e+02/
      data em(24),atwt(24)/ 0.740000e-01,51.996/
      data coh(0,24),coh(1,24),coh(2,24),coh(3,24)/
     $     0.577399e+01,  0.203858e+00, -0.359699e+00,  0.192225e-01/
      data cih(0,24),cih(1,24),cih(2,24),cih(3,24)/
     $     -0.387641e+00,  0.159727e+01, -0.266240e+00,  0.111523e-01/
      data ka(24),kb(24),la(24),lb(24)/
     $     0.541400e+01,  0.594600e+01,  0.000000e+00,  0.000000e+00/
      data name(25),  ek(25),el(25)/
     $     'MN',  0.654000e+01,  0.754000e+00/
      data ak(0,25),ak(1,25),ak(2,25),ak(3,25)/
     $     0.148965e+02, -0.179872e+01, -0.283664e+00,  0.222095e-01/
      data al(0,25),al(1,25),al(2,25),al(3,25)/
     $     0.135761e+02, -0.249761e+01, -0.105493e+00,  0.000000e+00/
      data am(0,25),am(1,25),am(2,25),am(3,25)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,25),an(1,25),an(2,25),an(3,25)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(25), cf(25)/ 0.742000e+01, 0.912200e+02/
      data em(25),atwt(25)/ 0.840000e-01,54.940/
      data coh(0,25),coh(1,25),coh(2,25),coh(3,25)/
     $     0.584604e+01,  0.213814e+00, -0.359718e+00,  0.191459e-01/
      data cih(0,25),cih(1,25),cih(2,25),cih(3,25)/
     $     -0.247059e+00,  0.149722e+01, -0.238781e+00,  0.893208e-02/
      data ka(25),kb(25),la(25),lb(25)/
     $     0.589800e+01,  0.649000e+01,  0.000000e+00,  0.000000e+00/
      data  name(26),  ek(26),el(26)/
     $     'FE',  0.711200e+01,  0.842000e+00/
      data ak(0,26),ak(1,26),ak(2,26),ak(3,26)/
     $     0.143456e+02, -0.123491e+01, -0.423491e+00,  0.321661e-01/
      data al(0,26),al(1,26),al(2,26),al(3,26)/
     $     0.136696e+02, -0.239195e+01, -0.137680e+00,  0.000000e+00/
      data den(26),cf(26)/7.860,9.274e+01/
      data em(26),atwt(26)/0.094,55.850/
      data coh(0,26),coh(1,26),coh(2,26),coh(3,26)/
     $     0.593292e+01,  0.225038e+00, -0.361748e+00,  0.193024e-01/
      data cih(0,26),cih(1,26),cih(2,26),cih(3,26)/
     $     -0.342379e+00,  0.157245e+01, -0.253198e+00,  0.985822e-02/
      data ka(26),kb(26),la(26),lb(26)/
     $     0.640300e+01,  0.705700e+01,  0.000000e+00,  0.000000e+00/
      data name(27),  ek(27),el(27)/
     $     'CO',  0.770900e+01,  0.929000e+00/
      data ak(0,27),ak(1,27),ak(2,27),ak(3,27)/
     $     0.147047e+02, -0.138933e+01, -0.386631e+00,  0.303286e-01/
      data al(0,27),al(1,27),al(2,27),al(3,27)/
     $     0.138699e+02, -0.250669e+01, -0.869945e-01,  0.000000e+00/
      data am(0,27),am(1,27),am(2,27),am(3,27)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,27),an(1,27),an(2,27),an(3,27)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(27), cf(27)/ 0.890000e+01, 0.978500e+02/
      data em(27),atwt(27)/ 0.101000e+00,58.933/
      data coh(0,27),coh(1,27),coh(2,27),coh(3,27)/
     $     0.601478e+01,  0.237959e+00, -0.364056e+00,  0.194754e-01/
      data cih(0,27),cih(1,27),cih(2,27),cih(3,27)/
     $     -0.428804e+00,  0.164129e+01, -0.266013e+00,  0.106512e-01/
      data ka(27),kb(27),la(27),lb(27)/
     $     0.693000e+01,  0.764900e+01,  0.000000e+00,  0.000000e+00/
      data name(28),  ek(28),el(28)/
     $     'NI',  0.833300e+01,  0.101200e+01/
      data ak(0,28),ak(1,28),ak(2,28),ak(3,28)/
     $     0.142388e+02, -0.967736e+00, -0.478070e+00,  0.366138e-01/
      data al(0,28),al(1,28),al(2,28),al(3,28)/
     $     0.139848e+02, -0.248080e+01, -0.888115e-01,  0.000000e+00/
      data am(0,28),am(1,28),am(2,28),am(3,28)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,28),an(1,28),an(2,28),an(3,28)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(28), cf(28)/ 0.890000e+01, 0.974500e+02/
      data em(28),atwt(28)/ 0.113000e+00,58.690/
      data coh(0,28),coh(1,28),coh(2,28),coh(3,28)/
     $     0.609024e+01,  0.222770e+00, -0.366568e+00,  0.196586e-01/
      data cih(0,28),cih(1,28),cih(2,28),cih(3,28)/
     $     -0.504360e+00,  0.170040e+01, -0.276443e+00,  0.112628e-01/
      data ka(28),kb(28),la(28),lb(28)/
     $     0.747700e+01,  0.826400e+01,  0.000000e+00,  0.000000e+00/
      data name(29),  ek(29),el(29)/
     $     'CU',  0.897900e+01,  0.110000e+01/
      data ak(0,29),ak(1,29),ak(2,29),ak(3,29)/
     $     0.145808e+02, -0.118375e+01, -0.413850e+00,  0.312088e-01/
      data al(0,29),al(1,29),al(2,29),al(3,29)/
     $     0.142439e+02, -0.258677e+01, -0.667398e-01,  0.000000e+00/
      data am(0,29),am(1,29),am(2,29),am(3,29)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data an(0,29),an(1,29),an(2,29),an(3,29)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(29), cf(29)/ 0.894000e+01, 0.105500e+03/
      data em(29),atwt(29)/ 0.120000e+00,63.540/
      data coh(0,29),coh(1,29),coh(2,29),coh(3,29)/
     $     0.617739e+01,  0.273123e+00, -0.372360e+00,  0.201638e-01/
      data cih(0,29),cih(1,29),cih(2,29),cih(3,29)/
     $     -0.570210e+00,  0.175042e+01, -0.2845550e+00,  0.116930e-01/
      data ka(29),kb(29),la(29),lb(29)/
     $     0.804700e+01,  0.890400e+01,  0.000000e+00,  0.000000e+00/
      data name(30),  ek(30),el(30)/
     $     'ZN',  0.965900e+01,  0.119600e+01/
      data ak(0,30),ak(1,30),ak(2,30),ak(3,30)/
     $     0.144118e+02, -0.933083e+00, -0.477357e+00,  0.362829e-01/
      data al(0,30),al(1,30),al(2,30),al(3,30)/
     $     0.143221e+02, -0.262384e+01, -0.264926e-01,  0.000000e+00/
      data am(0,30),am(1,30),am(2,30),am(3,30)/
     $     0.120597e+02, -0.110258e+01,  0.000000e+00,  0.000000e+00/
      data an(0,30),an(1,30),an(2,30),an(3,30)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(30), cf(30)/ 0.714000e+01, 0.108600e+03/
      data em(30),atwt(30)/ 0.139000e+00,65.380/
      data coh(0,30),coh(1,30),coh(2,30),coh(3,30)/
     $     0.623402e+01,  0.284312e+00, -0.372143e+00,  0.200525e-01/
      data cih(0,30),cih(1,30),cih(2,30),cih(3,30)/
     $     -0.420535e+00,  0.163400e+01, -0.253646e+00,  0.927233e-02/
      data ka(30),kb(30),la(30),lb(30)/
     $     0.863800e+01,  0.957100e+01,  0.100900e+01,  0.103200e+01/
      data name(31),  ek(31),el(31)/
     $     'GA',  0.103670e+02,  0.130200e+01/
      data ak(0,31),ak(1,31),ak(2,31),ak(3,31)/
     $     0.136182e+02, -0.318459e+00, -0.611348e+00,  0.458138e-01/
      data al(0,31),al(1,31),al(2,31),al(3,31)/
     $     0.144792e+02, -0.254469e+01, -0.757204e-01,  0.000000e+00/
      data am(0,31),am(1,31),am(2,31),am(3,31)/
     $     0.122646e+02, -0.268965e+01,  0.000000e+00,  0.000000e+00/
      data an(0,31),an(1,31),an(2,31),an(3,31)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data coh(0,31),coh(1,31),coh(2,31),coh(3,31)/
     $     0.628298e+01,  0.291334e+00, -0.369391e+00,  0.197029e-01/
      data cih(0,31),cih(1,31),cih(2,31),cih(3,31)/
     $     -0.358218e+00,  0.160050e+01, -0.244908e+00,  0.861898e-02/
      data den(31), cf(31)/ 0.590300e+01, 0.115800e+03/
      data em(31),atwt(31)/ 0.158000e+00,69.720/
      data ka(31),kb(31),la(31),lb(31)/
     $     0.925100e+01,  0.102630e+02,  0.109600e+01,  0.112200e+01/
      data name(32),  ek(32),el(32)/
     $     'GE',  0.111040e+02,  0.141400e+01/
      data ak(0,32),ak(1,32),ak(2,32),ak(3,32)/
     $     0.139288e+02, -0.479613e+00, -0.572897e+00,  0.431277e-01/
      data al(0,32),al(1,32),al(2,32),al(3,32)/
     $     0.146813e+02, -0.269285e+01, -0.208355e-01,  0.000000e+00/
      data am(0,32),am(1,32),am(2,32),am(3,32)/
     $     0.124133e+02, -0.253085e+01,  0.000000e+00,  0.000000e+00/
      data an(0,32),an(1,32),an(2,32),an(3,32)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data coh(0,32),coh(1,32),coh(2,32),coh(3,32)/
     $     0.633896e+01,  0.291512e+00, -0.365643e+00,  0.192896e-01/
      data cih(0,32),cih(1,32),cih(2,32),cih(3,32)/
     $     -0.334383e+00,  0.160327e+01, -0.245555e+00,  0.871239e-02/
      data den(32), cf(32)/ 0.532300e+01, 0.120500e+03/
      data em(32),atwt(32)/ 0.181000e+00,72.590/
      data ka(32),kb(32),la(32),lb(32)/
     $     0.988500e+01,  0.109810e+02,  0.118600e+01,  0.121600e+01/
      data name(33),  ek(33),el(33)/
     $     'AS',  0.118680e+02,  0.153000e+01/
      data ak(0,33),ak(1,33),ak(2,33),ak(3,33)/
     $     0.134722e+02, -0.773513e-01, -0.660456e+00,  0.492177e-01/
      data al(0,33),al(1,33),al(2,33),al(3,33)/
     $     0.146431e+02, -0.248397e+01, -0.796180e-01,  0.000000e+00/
      data am(0,33),am(1,33),am(2,33),am(3,33)/
     $     0.125392e+02, -0.241380e+01,  0.000000e+00,  0.000000e+00/
      data an(0,33),an(1,33),an(2,33),an(3,33)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data den(33), cf(33)/ 0.573000e+01, 0.124400e+03/
      data em(33),atwt(33)/ 0.206000e+00,74.92/
      data coh(0,33),coh(1,33),coh(2,33),coh(3,33)/
     $     0.639750e+01,  0.288866e+00, -0.361747e+00,  0.188788e-01/
      data cih(0,33),cih(1,33),cih(2,33),cih(3,33)/
     $     -0.339189e+00,  0.162535e+01, -0.250783e+00,  0.909103e-02/
      data ka(33),kb(33),la(33),lb(33)/
     $     0.105430e+02,  0.117250e+02,  0.128200e+01,  0.131700e+01/
      data name(34),  ek(34),el(34)/
     $     'SE',  0.126580e+02,  0.165300e+01/
      data ak(0,34),ak(1,34),ak(2,34),ak(3,34)/
     $     0.130756e+02,  0.183235e+00, -0.694264e+00,  0.502280e-01/
      data al(0,34),al(1,34),al(2,34),al(3,34)/
     $     0.147048e+02, -0.238853e+01, -0.105877e+00,  0.000000e+00/
      data am(0,34),am(1,34),am(2,34),am(3,34)/
     $     0.126773e+02, -0.239750e+01,  0.000000e+00,  0.000000e+00/
      data an(0,34),an(1,34),an(2,34),an(3,34)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(34),den(34),cf(34)/ 0.789600e+02, 0.479000e+01,
     $     0.131100e+03/
      data em(34)/ 0.232000e+00/
      data coh(0,34),coh(1,34),coh(2,34),coh(3,34)/
     $     0.645637e+01,  0.286737e+00, -0.358794e+00,  0.185618e-01/
      data cih(0,34),cih(1,34),cih(2,34),cih(3,34)/
     $     -0.432927e+00,  0.172833e+01, -0.277138e+00,  0.111735e-01/
      data ka(34),kb(34),la(34),lb(34)/
     $     0.112210e+02,  0.124950e+02,  0.141900e+01,  0.137900e+01/
      data name(35),  ek(35),el(35)/
     $     'BR',  0.134740e+02,  0.178200e+01/
      data ak(0,35),ak(1,35),ak(2,35),ak(3,35)/
     $     0.132273e+02,  0.137130e+00, -0.683203e+00,  0.495424e-01/
      data al(0,35),al(1,35),al(2,35),al(3,35)/
     $     0.148136e+02, -0.242347e+01, -0.914590e-01,  0.000000e+00/
      data am(0,35),am(1,35),am(2,35),am(3,35)/
     $     0.127612e+02, -0.237730e+01,  0.000000e+00,  0.000000e+00/
      data an(0,35),an(1,35),an(2,35),an(3,35)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(35),den(35),cf(35)/ 0.799200e+02, 0.312000e+01,
     $     0.132700e+03/
      data em(35)/ 0.257000e+00/
      data coh(0,35),coh(1,35),coh(2,35),coh(3,35)/
     $     0.651444e+01,  0.286324e+00, -0.357027e+00,  0.183557e-01/
      data cih(0,35),cih(1,35),cih(2,35),cih(3,35)/
     $     -0.448001e+00,  0.176082e+01, -0.285099e+00,  0.117865e-01/
      data ka(35),kb(35),la(35),lb(35)/
     $     0.119230e+02,  0.132900e+02,  0.148000e+01,  0.152600e+01/
      data name(36),  ek(36),el(36),em(36)/
     $     'KR',  0.143220e+02,  0.192000e+01,  0.288000e+00/
      data ak(0,36),ak(1,36),ak(2,36),ak(3,36)/
     $     0.135927e+02, -0.305214e-01, -0.651340e+00,  0.477616e-01/
      data al(0,36),al(1,36),al(2,36),al(3,36)/
     $     0.149190e+02, -0.242418e+01, -0.876447e-01,  0.000000e+00/
      data am(0,36),am(1,36),am(2,36),am(3,36)/
     $     0.128898e+02, -0.226021e+01,  0.000000e+00,  0.000000e+00/
      data an(0,36),an(1,36),an(2,36),an(3,36)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(36),den(36),cf(36)/
     $     0.838000e+02, 0.374000e-02, 0.139100e+03/
      data coh(0,36),coh(1,36),coh(2,36),coh(3,36)/
     $     0.657113e+01,  0.287711e+00, -0.356311e+00,  0.182470e-01/
      data cih(0,36),cih(1,36),cih(2,36),cih(3,36)/
     $     -0.391810e+00,  0.173010e+01, -0.276824e+00,  0.111280e-01/
      data ka(36),kb(36),la(36),lb(36)/
     $     0.126480e+02,  0.141120e+02,  0.158700e+01,  0.163800e+01/
      data name(37),  ek(37),el(37),em(37)/
     $     'RB',  0.152000e+02,  0.206500e+01,  0.322000e+00/
      data ak(0,37),ak(1,37),ak(2,37),ak(3,37)/
     $     0.130204e+02,  0.382736e+00, -0.732427e+00,  0.529874e-01/
      data al(0,37),al(1,37),al(2,37),al(3,37)/
     $     0.149985e+02, -0.239108e+01, -0.959473e-01,  0.000000e+00/
      data am(0,37),am(1,37),am(2,37),am(3,37)/
     $     0.130286e+02, -0.238693e+01,  0.000000e+00,  0.000000e+00/
      data an(0,37),an(1,37),an(2,37),an(3,37)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(37),den(37),cf(37)/
     $     0.854800e+02, 0.153200e+01, 0.141900e+03/
      data coh(0,37),coh(1,37),coh(2,37),coh(3,37)/
     $     0.659750e+01,  0.302389e+00, -0.356755e+00,  0.181706e-01/
      data cih(0,37),cih(1,37),cih(2,37),cih(3,37)/
     $     -0.128039e+00,  0.153044e+01, -0.227403e+00,  0.739033e-02/
      data ka(37),kb(37),la(37),lb(37)/
     $     0.133940e+02,  0.149600e+02,  0.169400e+01,  0.175200e+01/
      data name(38),  ek(38),el(38),em(38)/
     $     'SR',  0.161050e+02,  0.221600e+01,  0.358000e+00/
      data ak(0,38),ak(1,38),ak(2,38),ak(3,38)/
     $     0.135888e+02,  0.220194e-02, -0.638940e+00,  0.460070e-01/
      data al(0,38),al(1,38),al(2,38),al(3,38)/
     $     0.150114e+02, -0.228169e+01, -0.126485e+00,  0.000000e+00/
      data am(0,38),am(1,38),am(2,38),am(3,38)/
     $     0.131565e+02, -0.236655e+01,  0.000000e+00,  0.000000e+00/
      data an(0,38),an(1,38),an(2,38),an(3,38)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(38),den(38),cf(38)/
     $     0.876200e+02, 0.254000e+01, 0.145500e+03/
      data coh(0,38),coh(1,38),coh(2,38),coh(3,38)/
     $     0.662203e+01,  0.324559e+00, -0.361651e+00,  0.184800e-01/
      data cih(0,38),cih(1,38),cih(2,38),cih(3,38)/
     $     0.799161e-01,  0.138397e+01, -0.192225e+00,  0.478611e-02/
      data ka(38),kb(38),la(38),lb(38)/
     $     0.141640e+02,  0.158340e+02,  0.180600e+01,  0.187200e+01/
      data name(39),  ek(39),el(39),em(39)/
     $     'Y ',  0.170800e+02,  0.237300e+01,  0.395000e+00/
      data ak(0,39),ak(1,39),ak(2,39),ak(3,39)/
     $     0.134674e+02,  0.191023e+00, -0.686616e+00,  0.497356e-01/
      data al(0,39),al(1,39),al(2,39),al(3,39)/
     $     0.151822e+02, -0.238946e+01, -0.881174e-01,  0.000000e+00/
      data am(0,39),am(1,39),am(2,39),am(3,39)/
     $     0.132775e+02, -0.243174e+01,  0.000000e+00,  0.000000e+00/
      data an(0,39),an(1,39),an(2,39),an(3,39)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(39),den(39),cf(39)/
     $     0.889050e+02, 0.440500e+01, 0.147600e+03/
      data coh(0,39),coh(1,39),coh(2,39),coh(3,39)/
     $     0.667096e+01,  0.325070e+00, -0.360613e+00,  0.183326e-01/
      data cih(0,39),cih(1,39),cih(2,39),cih(3,39)/
     $     0.629057e-01,  0.141577e+01, -0.199713e+00,  0.533312e-02/
      data ka(39),kb(39),la(39),lb(39)/
     $     0.149570e+02,  0.167360e+02,  0.192200e+01,  0.199600e+01/
      data name(40),  ek(40),el(40),em(40)/
     $     'ZR',  0.179980e+02,  0.253200e+01,  0.431000e+00/
      data ak(0,40),ak(1,40),ak(2,40),ak(3,40)/
     $     0.127538e+02,  0.697409e+00, -0.789307e+00,  0.564531e-01/
      data al(0,40),al(1,40),al(2,40),al(3,40)/
     $     0.152906e+02, -0.238703e+01, -0.912292e-01,  0.000000e+00/
      data am(0,40),am(1,40),am(2,40),am(3,40)/
     $     0.134508e+02, -0.250201e+01,  0.000000e+00,  0.000000e+00/
      data an(0,40),an(1,40),an(2,40),an(3,40)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(40),den(40),cf(40)/
     $     0.912200e+02, 0.653000e+01, 0.151500e+03/
      data coh(0,40),coh(1,40),coh(2,40),coh(3,40)/
     $     0.672275e+01,  0.323964e+00, -0.359463e+00,  0.181890e-01/
      data cih(0,40),cih(1,40),cih(2,40),cih(3,40)/
     $     0.366697e-01,  0.145207e+01, -0.208122e+00,  0.595139e-02/
      data ka(40),kb(40),la(40),lb(40)/
     $     0.157740e+02,  0.176660e+02,  0.204200e+01,  0.212400e+01/
      data name(41),  ek(41),el(41),em(41)/
     $     'NB',  0.189860e+02,  0.269800e+01,  0.468000e+00/
      data ak(0,41),ak(1,41),ak(2,41),ak(3,41)/
     $     0.133843e+02,  0.281028e+00, -0.686607e+00,  0.486607e-01/
      data al(0,41),al(1,41),al(2,41),al(3,41)/
     $     0.152088e+02, -0.220278e+01, -0.136759e+00,  0.000000e+00/
      data am(0,41),am(1,41),am(2,41),am(3,41)/
     $     0.135434e+02, -0.250135e+01,  0.000000e+00,  0.000000e+00/
      data an(0,41),an(1,41),an(2,41),an(3,41)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(41),den(41),cf(41)/
     $     0.929060e+02, 0.857000e+01, 0.154300e+03/
      data coh(0,41),coh(1,41),coh(2,41),coh(3,41)/
     $     0.679013e+01,  0.311282e+00, -0.355233e+00,  0.178231e-01/
      data cih(0,41),cih(1,41),cih(2,41),cih(3,41)/
     $     0.202289e-03,  0.149347e+01, -0.217419e+00,  0.662245e-02/
      data ka(41),kb(41),la(41),lb(41)/
     $     0.166140e+02,  0.186210e+02,  0.216600e+01,  0.225700e+01/
      data name(42),  ek(42),el(42),em(42)/
     $     'MO',  0.199990e+02,  0.286600e+01,  0.505000e+00/
      data ak(0,42),ak(1,42),ak(2,42),ak(3,42)/
     $     0.139853e+02, -0.117426e+00, -0.591094e+00,  0.417843e-01/
      data al(0,42),al(1,42),al(2,42),al(3,42)/
     $     0.153494e+02, -0.226640e+01, -0.116881e+00,  0.000000e+00/
      data am(0,42),am(1,42),am(2,42),am(3,42)/
     $     0.136568e+02, -0.248480e+01,  0.000000e+00,  0.000000e+00/
      data an(0,42),an(1,42),an(2,42),an(3,42)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(42),den(42),cf(42)/
     $     0.959500e+02, 0.102200e+02, 0.159300e+03/
      data coh(0,42),coh(1,42),coh(2,42),coh(3,42)/
     $     0.684600e+01,  0.302790e+00, -0.351131e+00,  0.174403e-01/
      data cih(0,42),cih(1,42),cih(2,42),cih(3,42)/
     $     -0.562860e-01,  0.155778e+01, -0.233341e+00,  0.785506e-02/
      data ka(42),kb(42),la(42),lb(42)/
     $     0.174780e+02,  0.196070e+02,  0.229300e+01,  0.239500e+01/
      data name(43),  ek(43),el(43),em(43)/
     $     'TC',  0.210450e+02,  0.304300e+01,  0.544000e+00/
      data ak(0,43),ak(1,43),ak(2,43),ak(3,43)/
     $     0.128214e+02,  0.751993e+00, -0.787006e+00,  0.558668e-01/
      data al(0,43),al(1,43),al(2,43),al(3,43)/
     $     0.155086e+02, -0.233733e+01, -0.987857e-01,  0.000000e+00/
      data am(0,43),am(1,43),am(2,43),am(3,43)/
     $     0.137498e+02, -0.244730e+01,  0.000000e+00,  0.000000e+00/
      data an(0,43),an(1,43),an(2,43),an(3,43)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(43),den(43),cf(43)/
     $     0.990000e+02, 0.115000e+02, 0.164400e+03/
      data coh(0,43),coh(1,43),coh(2,43),coh(3,43)/
     $     0.687599e+01,  0.326165e+00, -0.358969e+00,  0.180482e-01/
      data cih(0,43),cih(1,43),cih(2,43),cih(3,43)/
     $     0.757616e-01,  0.144950e+01, -0.204890e+00,  0.564745e-02/
      data ka(43),kb(43),la(43),lb(43)/
     $     0.184100e+02,  0.205850e+02,  0.242400e+01,  0.253800e+01/
      data name(44),  ek(44),el(44),em(44)/
     $     'RU',  0.221170e+02,  0.322400e+01,  0.585000e+00/
      data ak(0,44),ak(1,44),ak(2,44),ak(3,44)/
     $     0.126658e+02,  0.885020e+00, -0.811144e+00,  0.573759e-01/
      data al(0,44),al(1,44),al(2,44),al(3,44)/
     $     0.154734e+02, -0.223080e+01, -0.119454e+00,  0.000000e+00/
      data am(0,44),am(1,44),am(2,44),am(3,44)/
     $     0.138782e+02, -0.248066e+01,  0.000000e+00,  0.000000e+00/
      data an(0,44),an(1,44),an(2,44),an(3,44)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(44),den(44),cf(44)/
     $     0.101070e+03, 0.124100e+02, 0.167800e+03/
      data coh(0,44),coh(1,44),coh(2,44),coh(3,44)/
     $     0.693136e+01,  0.334794e+00, -0.363497e+00,  0.184429e-01/
      data cih(0,44),cih(1,44),cih(2,44),cih(3,44)/
     $     -0.424981e-01,  0.154639e+01, -0.226470e+00,  0.718375e-02/
      data ka(44),kb(44),la(44),lb(44)/
     $     0.192780e+02,  0.216550e+02,  0.255800e+01,  0.268300e+01/
      data name(45),  ek(45),el(45),em(45)/
     $     'RH',  0.232200e+02,  0.341200e+01,  0.627000e+00/
      data ak(0,45),ak(1,45),ak(2,45),ak(3,45)/
     $     0.121760e+02,  0.119682e+01, -0.866697e+00,  0.606931e-01/
      data al(0,45),al(1,45),al(2,45),al(3,45)/
     $     0.155757e+02, -0.224976e+01, -0.113377e+00,  0.000000e+00/
      data am(0,45),am(1,45),am(2,45),am(3,45)/
     $     0.140312e+02, -0.261303e+01,  0.000000e+00,  0.000000e+00/
      data an(0,45),an(1,45),an(2,45),an(3,45)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(45),den(45),cf(45)/
     $     0.102910e+03, 0.124400e+02, 0.170900e+03/
      data coh(0,45),coh(1,45),coh(2,45),coh(3,45)/
     $     0.697547e+01,  0.346394e+00, -0.367794e+00,  0.187885e-01/
      data cih(0,45),cih(1,45),cih(2,45),cih(3,45)/
     $     -0.160399e+00,  0.164861e+01, -0.250238e+00,  0.893818e-02/
      data ka(45),kb(45),la(45),lb(45)/
     $     0.202140e+02,  0.227210e+02,  0.269600e+01,  0.283400e+01/
      data name(46),  ek(46),el(46),em(46)/
     $     'PD',  0.243500e+02,  0.360500e+01,  0.670000e+00/
      data ak(0,46),ak(1,46),ak(2,46),ak(3,46)/
     $     0.139389e+02,  0.164528e+00, -0.662117e+00,  0.476289e-01/
      data al(0,46),al(1,46),al(2,46),al(3,46)/
     $     0.155649e+02, -0.217229e+01, -0.127652e+00,  0.000000e+00/
      data am(0,46),am(1,46),am(2,46),am(3,46)/
     $     0.141392e+02, -0.257206e+01,  0.000000e+00,  0.000000e+00/
      data an(0,46),an(1,46),an(2,46),an(3,46)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(46),den(46),cf(46)/
     $     0.106400e+03, 0.121600e+02, 0.176700e+03/
      data coh(0,46),coh(1,46),coh(2,46),coh(3,46)/
     $     0.703216e+01,  0.349838e+00, -0.370099e+00,  0.189983e-01/
      data cih(0,46),cih(1,46),cih(2,46),cih(3,46)/
     $     -0.267564e+00,  0.173740e+01, -0.269883e+00,  0.103248e-01/
      data ka(46),kb(46),la(46),lb(46)/
     $     0.211750e+02,  0.238160e+02,  0.283800e+01,  0.299000e+01/
      data name(47),  ek(47),el(47),em(47)/
     $     'AG',  0.255140e+02,  0.380600e+01,  0.717000e+00/
      data ak(0,47),ak(1,47),ak(2,47),ak(3,47)/
     $     0.133926e+02,  0.441380e+00, -0.693711e+00,  0.482085e-01/
      data al(0,47),al(1,47),al(2,47),al(3,47)/
     $     0.156869e+02, -0.222636e+01, -0.112223e+00,  0.000000e+00/
      data am(0,47),am(1,47),am(2,47),am(3,47)/
     $     0.141673e+02, -0.248078e+01,  0.000000e+00,  0.000000e+00/
      data an(0,47),an(1,47),an(2,47),an(3,47)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(47),den(47),cf(47)/
     $     0.107880e+03, 0.105000e+02, 0.179100e+03/
      data coh(0,47),coh(1,47),coh(2,47),coh(3,47)/
     $     0.706446e+01,  0.363456e+00, -0.373597e+00,  0.192478e-01/
      data cih(0,47),cih(1,47),cih(2,47),cih(3,47)/
     $     -0.166475e+00,  0.165794e+01, -0.248740e+00,  0.866218e-02/
      data ka(47),kb(47),la(47),lb(47)/
     $     0.221620e+02,  0.249420e+02,  0.298400e+01,  0.315100e+01/
      data name(48),  ek(48),el(48),em(48)/
     $     'CD',  0.267110e+02,  0.401800e+01,  0.770000e+00/
      data ak(0,48),ak(1,48),ak(2,48),ak(3,48)/
     $     0.125254e+02,  0.107714e+01, -0.831424e+00,  0.579120e-01/
      data al(0,48),al(1,48),al(2,48),al(3,48)/
     $     0.159668e+02, -0.238363e+01, -0.801104e-01,  0.000000e+00/
      data am(0,48),am(1,48),am(2,48),am(3,48)/
     $     0.143497e+02, -0.252756e+01,  0.000000e+00,  0.000000e+00/
      data an(0,48),an(1,48),an(2,48),an(3,48)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(48),den(48),cf(48)/
     $     0.112410e+03, 0.865000e+01, 0.186600e+03/
      data coh(0,48),coh(1,48),coh(2,48),coh(3,48)/
     $     0.709856e+01,  0.372199e+00, -0.375345e+00,  0.193481e-01/
      data cih(0,48),cih(1,48),cih(2,48),cih(3,48)/
     $     -0.516701e-01,  0.157426e+01, -0.227646e+00,  0.705650e-02/
      data ka(48),kb(48),la(48),lb(48)/
     $     0.231720e+02,  0.260930e+02,  0.313300e+01,  0.331600e+01/
      data name(49),  ek(49),el(49),em(49)/
     $     'IN',  0.279400e+02,  0.423800e+01,  0.825000e+00/
      data ak(0,49),ak(1,49),ak(2,49),ak(3,49)/
     $     0.118198e+02,  0.145768e+01, -0.888529e+00,  0.605982e-01/
      data al(0,49),al(1,49),al(2,49),al(3,49)/
     $     0.162101e+02, -0.251838e+01, -0.540061e-01,  0.000000e+00/
      data am(0,49),am(1,49),am(2,49),am(3,49)/
     $     0.144115e+02, -0.249401e+01,  0.000000e+00,  0.000000e+00/
      data an(0,49),an(1,49),an(2,49),an(3,49)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(49),den(49),cf(49)/
     $     0.114820e+03, 0.728000e+01, 0.190700e+03/
      data coh(0,49),coh(1,49),coh(2,49),coh(3,49)/
     $     0.712708e+01,  0.382082e+00, -0.376855e+00,  0.194151e-01/
      data cih(0,49),cih(1,49),cih(2,49),cih(3,49)/
     $     -0.817283e-02,  0.155865e+01, -0.224492e+00,  0.685776e-02/
      data ka(49),kb(49),la(49),lb(49)/
     $     0.242070e+02,  0.272740e+02,  0.328700e+01,  0.348700e+01/
      data name(50),  ek(50),el(50),em(50)/
     $     'SN',  0.292000e+02,  0.446500e+01,  0.884000e+00/
      data ak(0,50),ak(1,50),ak(2,50),ak(3,50)/
     $     0.130323e+02,  0.790788e+00, -0.762349e+00,  0.527872e-01/
      data al(0,50),al(1,50),al(2,50),al(3,50)/
     $     0.158638e+02, -0.219019e+01, -0.113539e+00,  0.000000e+00/
      data am(0,50),am(1,50),am(2,50),am(3,50)/
     $     0.145572e+02, -0.256792e+01,  0.000000e+00,  0.000000e+00/
      data an(0,50),an(1,50),an(2,50),an(3,50)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(50),den(50),cf(50)/
     $     0.118690e+03, 0.531000e+01, 0.197100e+03/
      data coh(0,50),coh(1,50),coh(2,50),coh(3,50)/
     $     0.716085e+01,  0.385512e+00, -0.376481e+00,  0.193305e-01/
      data cih(0,50),cih(1,50),cih(2,50),cih(3,50)/
     $     0.142151e-01,  0.155754e+01, -0.224736e+00,  0.691395e-02/
      data ka(50),kb(50),la(50),lb(50)/
     $     0.252700e+02,  0.284830e+02,  0.344400e+01,  0.366200e+01/
      data name(51),  ek(51),el(51),em(51)/
     $     'SB',  0.304910e+02,  0.469800e+01,  0.944000e+00/
      data ak(0,51),ak(1,51),ak(2,51),ak(3,51)/
     $     0.906990e+01,  0.328791e+01, -0.126203e+01,  0.853470e-01/
      data al(0,51),al(1,51),al(2,51),al(3,51)/
     $     0.157557e+02, -0.204460e+01, -0.140745e+00,  0.000000e+00/
      data am(0,51),am(1,51),am(2,51),am(3,51)/
     $     0.146268e+02, -0.255562e+01,  0.000000e+00,  0.000000e+00/
      data an(0,51),an(1,51),an(2,51),an(3,51)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(51),den(51),cf(51)/
     $     0.121760e+03, 0.669100e+01, 0.202200e+03/
      data coh(0,51),coh(1,51),coh(2,51),coh(3,51)/
     $     0.719665e+01,  0.385543e+00, -0.375054e+00,  0.191608e-01/
      data cih(0,51),cih(1,51),cih(2,51),cih(3,51)/
     $     0.156362e-01,  0.157175e+01, -0.228753e+00,  0.726386e-02/
      data ka(51),kb(51),la(51),lb(51)/
     $     0.263570e+02,  0.297230e+02,  0.360500e+01,  0.384300e+01/
      data name(52),  ek(52),el(52),em(52)/
     $     'TE',  0.318130e+02,  0.493900e+01,  0.100600e+01/
      data ak(0,52),ak(1,52),ak(2,52),ak(3,52)/
     $     0.116656e+02,  0.171052e+01, -0.948281e+00,  0.653213e-01/
      data al(0,52),al(1,52),al(2,52),al(3,52)/
     $     0.161087e+02, -0.227876e+01, -0.929405e-01,  0.000000e+00/
      data am(0,52),am(1,52),am(2,52),am(3,52)/
     $     0.147125e+02, -0.254324e+01,  0.000000e+00,  0.000000e+00/
      data an(0,52),an(1,52),an(2,52),an(3,52)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(52),den(52),cf(52)/
     $     0.127600e+03, 0.624000e+01, 0.211900e+03/
      data coh(0,52),coh(1,52),coh(2,52),coh(3,52)/
     $     0.723460e+01,  0.382493e+00, -0.372715e+00,  0.189194e-01/
      data cih(0,52),cih(1,52),cih(2,52),cih(3,52)/
     $     -0.407579e-01,  0.164267e+01, -0.247890e+00,  0.880567e-02/
      data ka(52),kb(52),la(52),lb(52)/
     $     0.274710e+02,  0.309930e+02,  0.376900e+01,  0.402900e+01/
      data name(53),  ek(53),el(53),em(53)/
     $     'I ',  0.331690e+02,  0.518800e+01,  0.107200e+01/
      data ak(0,53),ak(1,53),ak(2,53),ak(3,53)/
     $     0.121075e+02,  0.143635e+01, -0.882038e+00,  0.603575e-01/
      data al(0,53),al(1,53),al(2,53),al(3,53)/
     $     0.164086e+02, -0.248214e+01, -0.507179e-01,  0.000000e+00/
      data am(0,53),am(1,53),am(2,53),am(3,53)/
     $     0.147496e+02, -0.248179e+01,  0.000000e+00,  0.000000e+00/
      data an(0,53),an(1,53),an(2,53),an(3,53)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(53),den(53),cf(53)/
     $     0.126910e+03, 0.494000e+01, 0.210700e+03/
      data coh(0,53),coh(1,53),coh(2,53),coh(3,53)/
     $     0.727415e+01,  0.377223e+00, -0.369728e+00,  0.186280e-01/
      data cih(0,53),cih(1,53),cih(2,53),cih(3,53)/
     $     -0.404420e-01,  0.165596e+01, -0.251067e+00,  0.904874e-02/
      data ka(53),kb(53),la(53),lb(53)/
     $     0.286100e+02,  0.322920e+02,  0.393700e+01,  0.422000e+01/
      data name(54),  ek(54),el(54),em(54)/
     $     'XE',  0.345820e+02,  0.545200e+01,  0.114300e+01/
      data ak(0,54),ak(1,54),ak(2,54),ak(3,54)/
     $     0.110857e+02,  0.208357e+01, -0.101209e+01,  0.690310e-01/
      data al(0,54),al(1,54),al(2,54),al(3,54)/
     $     0.163098e+02, -0.231679e+01, -0.854498e-01,  0.000000e+00/
      data am(0,54),am(1,54),am(2,54),am(3,54)/
     $     0.147603e+02, -0.245068e+01,  0.000000e+00,  0.000000e+00/
      data an(0,54),an(1,54),an(2,54),an(3,54)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(54),den(54),cf(54)/
     $     0.131300e+03, 0.590000e-02, 0.218000e+03/
      data coh(0,54),coh(1,54),coh(2,54),coh(3,54)/
     $     0.731469e+01,  0.370315e+00, -0.366280e+00,  0.183025e-01/
      data cih(0,54),cih(1,54),cih(2,54),cih(3,54)/
     $     -0.282407e-02,  0.164039e+01, -0.247642e+00,  0.882144e-02/
      data ka(54),kb(54),la(54),lb(54)/
     $     0.298020e+02,  0.336440e+02,  0.411100e+01,  0.442200e+01/
      data name(55),  ek(55),el(55),em(55)/
     $     'CS',  0.359850e+02,  0.571300e+01,  0.121800e+01/
      data ak(0,55),ak(1,55),ak(2,55),ak(3,55)/
     $     0.113750e+02,  0.194161e+01, -0.983232e+00,  0.671986e-01/
      data al(0,55),al(1,55),al(2,55),al(3,55)/
     $     0.165418e+02, -0.246363e+01, -0.542849e-01,  0.000000e+00/
      data am(0,55),am(1,55),am(2,55),am(3,55)/
     $     0.149713e+02, -0.253145e+01,  0.000000e+00,  0.000000e+00/
      data an(0,55),an(1,55),an(2,55),an(3,55)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(55),den(55),cf(55)/
     $     0.132910e+03, 0.187300e+01, 0.220700e+03/
      data coh(0,55),coh(1,55),coh(2,55),coh(3,55)/
     $     0.733490e+01,  0.376825e+00, -0.365713e+00,  0.181843e-01/
      data cih(0,55),cih(1,55),cih(2,55),cih(3,55)/
     $     0.184861e+00,  0.150030e+01, -0.213333e+00,  0.624264e-02/
      data ka(55),kb(55),la(55),lb(55)/
     $     0.309700e+02,  0.349840e+02,  0.428600e+01,  0.462000e+01/
      data name(56),  ek(56),el(56),em(56)/
     $     'BA',  0.374410e+02,  0.598700e+01,  0.129300e+01/
      data ak(0,56),ak(1,56),ak(2,56),ak(3,56)/
     $     0.102250e+02,  0.267835e+01, -0.112648e+01,  0.762669e-01/
      data al(0,56),al(1,56),al(2,56),al(3,56)/
     $     0.166217e+02, -0.248972e+01, -0.449623e-01,  0.000000e+00/
      data am(0,56),am(1,56),am(2,56),am(3,56)/
     $     0.150844e+02, -0.256341e+01,  0.000000e+00,  0.000000e+00/
      data an(0,56),an(1,56),an(2,56),an(3,56)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(56),den(56),cf(56)/
     $     0.137360e+03, 0.350000e+01, 0.228100e+03/
      data coh(0,56),coh(1,56),coh(2,56),coh(3,56)/
     $     0.735812e+01,  0.379361e+00, -0.364099e+00,  0.179817e-01/
      data cih(0,56),cih(1,56),cih(2,56),cih(3,56)/
     $     0.344376e+00,  0.138742e+01, -0.186356e+00,  0.424917e-02/
      data ka(56),kb(56),la(56),lb(56)/
     $     0.321910e+02,  0.363760e+02,  0.446700e+01,  0.482800e+01/
      data name(57),  ek(57),el(57),em(57)/
     $     'LA',  0.389250e+02,  0.626700e+01,  0.136300e+01/
      data ak(0,57),ak(1,57),ak(2,57),ak(3,57)/
     $     0.109780e+02,  0.2238140e+01, -0.103549e+01,  0.702339e-01/
      data al(0,57),al(1,57),al(2,57),al(3,57)/
     $     0.163134e+02, -0.220156e+01, -0.980569e-01,  0.000000e+00/
      data am(0,57),am(1,57),am(2,57),am(3,57)/
     $     0.151863e+02, -0.258287e+01,  0.000000e+00,  0.000000e+00/
      data an(0,57),an(1,57),an(2,57),an(3,57)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(57),den(57),cf(57)/
     $     0.138920e+03, 0.615000e+01, 0.230700e+03/
      data coh(0,57),coh(1,57),coh(2,57),coh(3,57)/
     $     0.739532e+01,  0.369895e+00, -0.359376e+00,  0.175406e-01/
      data cih(0,57),cih(1,57),cih(2,57),cih(3,57)/
     $     0.409104e+00,  0.133075e+01, -0.170883e+00,  0.304111e-02/
      data ka(57),kb(57),la(57),lb(57)/
     $     0.334400e+02,  0.377990e+02,  0.465100e+01,  0.504300e+01/
      data name(58),  ek(58),el(58),em(58)/
     $     'CE',  0.404440e+02,  0.654900e+01,  0.143400e+01/
      data ak(0,58),ak(1,58),ak(2,58),ak(3,58)/
     $     0.102725e+02,  0.274562e+01, -0.114174e+01,  0.774162e-01/
      data al(0,58),al(1,58),al(2,58),al(3,58)/
     $     0.165862e+02, -0.236288e+01, -0.654708e-01,  0.000000e+00/
      data am(0,58),am(1,58),am(2,58),am(3,58)/
     $     0.152693e+02, -0.258174e+01,  0.000000e+00,  0.000000e+00/
      data an(0,58),an(1,58),an(2,58),an(3,58)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(58),den(58),cf(58)/
     $     0.140130e+03, 0.667000e+01, 0.232700e+03/
      data coh(0,58),coh(1,58),coh(2,58),coh(3,58)/
     $     0.744255e+01,  0.371328e+00, -0.359642e+00,  0.175852e-01/
      data cih(0,58),cih(1,58),cih(2,58),cih(3,58)/
     $     0.439881e+00,  0.130925e+01, -0.164548e+00,  0.252641e-02/
      data ka(58),kb(58),la(58),lb(58)/
     $     0.347170e+02,  0.392550e+02,  0.484000e+01,  0.526200e+01/
      data name(59),  ek(59),el(59),em(59)/
     $     'PR',  0.419910e+02,  0.683500e+01,  0.150800e+01/
      data ak(0,59),ak(1,59),ak(2,59),ak(3,59)/
     $     0.110156e+02,  0.222056e+01, -0.102216e+01,  0.690465e-01/
      data al(0,59),al(1,59),al(2,59),al(3,59)/
     $     0.167118e+02, -0.240326e+01, -0.612619e-01,  0.000000e+00/
      data am(0,59),am(1,59),am(2,59),am(3,59)/
     $     0.153379e+02, -0.257086e+01,  0.000000e+00,  0.000000e+00/
      data an(0,59),an(1,59),an(2,59),an(3,59)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(59),den(59),cf(59)/
     $     0.140920e+03, 0.676900e+01, 0.234000e+03/
      data coh(0,59),coh(1,59),coh(2,59),coh(3,59)/
     $     0.748347e+01,  0.368431e+00, -0.357689e+00,  0.174099e-01/
      data cih(0,59),cih(1,59),cih(2,59),cih(3,59)/
     $     0.449124e+00,  0.130351e+01, -0.161841e+00,  0.227394e-02/
      data ka(59),kb(59),la(59),lb(59)/
     $     0.360230e+02,  0.407460e+02,  0.503400e+01,  0.548900e+01/
      data name(60),  ek(60),el(60),em(60)/
     $     'ND',  0.435690e+02,  0.712600e+01,  0.157500e+01/
      data ak(0,60),ak(1,60),ak(2,60),ak(3,60)/
     $     0.117632e+02,  0.179481e+01, -0.936661e+00,  0.635332e-01/
      data al(0,60),al(1,60),al(2,60),al(3,60)/
     $     0.165964e+02, -0.226007e+01, -0.872426e-01,  0.000000e+00/
      data am(0,60),am(1,60),am(2,60),am(3,60)/
     $     0.154335e+02, -0.259006e+01,  0.000000e+00,  0.000000e+00/
      data an(0,60),an(1,60),an(2,60),an(3,60)/
     $     0.000000e+00,  0.000000e+00,  0.000000e+00,  0.000000e+00/
      data atwt(60),den(60),cf(60)/
     $     0.144270e+03, 0.696000e+01, 0.239600e+03/
      data coh(0,60),coh(1,60),coh(2,60),coh(3,60)/
     $     0.752334e+01,  0.366462e+00, -0.356048e+00,  0.172620e-01/
      data cih(0,60),cih(1,60),cih(2,60),cih(3,60)/
     $     0.437283e+00,  0.131370e+01, -0.162866e+00,  0.229377e-02/
      data ka(60),kb(60),la(60),lb(60)/
     $     0.373590e+02,  0.422690e+02,  0.523000e+01,  0.572100e+01/
      data name(61),  ek(61),el(61),em(61)/
     $     'PM',  0.451840e+02,  0.742800e+01,  0.165100e+01/
      data ak(0,61),ak(1,61),ak(2,61),ak(3,61)/
     $     0.113864e+02,  0.205593e+01, -0.988180e+00,  0.669106e-01/
      data al(0,61),al(1,61),al(2,61),al(3,61)/
     $     0.168337e+02, -0.238810e+01, -0.645041e-01,  0.000000e+00/
      data am(0,61),am(1,61),am(2,61),am(3,61)/
     $     0.155131e+02, -0.259623e+01,  0.000000e+00,  0.000000e+00/
      data an(0,61),an(1,61),an(2,61),an(3,61)/
     $     0.155131e+02, -0.259623e+01,  0.000000e+00,  0.000000e+00/
      data atwt(61),den(61),cf(61)/
     $     0.147000e+03, 0.678200e+01, 0.244100e+03/
      data coh(0,61),coh(1,61),coh(2,61),coh(3,61)/
     $     0.756222e+01,  0.365055e+00, -0.354511e+00,  0.171214e-01/
      data cih(0,61),cih(1,61),cih(2,61),cih(3,61)/
     $     0.405823e+00,  0.133837e+01, -0.167229e+00,  0.255570e-02/
      data ka(61),kb(61),la(61),lb(61)/
     $     0.386490e+02,  0.439450e+02,  0.543250e+01,  0.596100e+01/
      data name(62),  ek(62),el(62),em(62)/
     $     'SM',  0.468350e+02,  0.773700e+01,  0.172900e+01/
      data ak(0,62),ak(1,62),ak(2,62),ak(3,62)/
     $     0.119223e+02,  0.179546e+01, -0.942902e+00,  0.644202e-01/
      data al(0,62),al(1,62),al(2,62),al(3,62)/
     $     0.168725e+02, -0.239051e+01, -0.601080e-01,  0.000000e+00/
      data am(0,62),am(1,62),am(2,62),am(3,62)/
     $     0.156000e+02, -0.261328e+01,  0.000000e+00,  0.000000e+00/
      data an(0,62),an(1,62),an(2,62),an(3,62)/
     $     0.156006e+02, -0.261328e+01,  0.000000e+00,  0.000000e+00/
      data atwt(62),den(62),cf(62)/
     $     0.150350e+03, 0.753600e+01, 0.249600e+03/
      data coh(0,62),coh(1,62),coh(2,62),coh(3,62)/
     $     0.760020e+01,  0.364134e+00, -0.353086e+00,  0.169894e-01/
      data cih(0,62),cih(1,62),cih(2,62),cih(3,62)/
     $     0.355383e+00,  0.137733e+01, -0.174941e+00,  0.306213e-02/
      data ka(62),kb(62),la(62),lb(62)/
     $     0.401240e+02,  0.454000e+02,  0.563610e+01,  0.620510e+01/
      data name(63),  ek(63),el(63),em(63)/
     $     'EU',  0.485200e+02,  0.805200e+01,  0.180000e+01/
      data ak(0,63),ak(1,63),ak(2,63),ak(3,63)/
     $     0.116168e+02,  0.197533e+01, -0.970901e+00,  0.658459e-01/
      data al(0,63),al(1,63),al(2,63),al(3,63)/
     $     0.170692e+02, -0.248046e+01, -0.447055e-01,  0.000000e+00/
      data am(0,63),am(1,63),am(2,63),am(3,63)/
     $     0.157063e+02, -0.263481e+01,  0.000000e+00,  0.000000e+00/
      data an(0,63),an(1,63),an(2,63),an(3,63)/
     $     0.157063e+02, -0.263481e+01,  0.000000e+00,  0.000000e+00/
      data atwt(63),den(63),cf(63)/
     $     0.152000e+03, 0.525900e+01, 0.252400e+03/
      data coh(0,63),coh(1,63),coh(2,63),coh(3,63)/
     $     0.763711e+01,  0.363957e+00, -0.351900e+00,  0.168783e-01/
      data cih(0,63),cih(1,63),cih(2,63),cih(3,63)/
     $     0.280316e+00,  0.144016e+01, -0.188641e+00,  0.401226e-02/
      data ka(63),kb(63),la(63),lb(63)/
     $     0.415290e+02,  0.470270e+02,  0.584570e+01,  0.645640e+01/
      data  name(64),  ek(64),el(64)/
     $     'GD', 0.502400e+02, 0.837600e+01/
      data em(64),atwt(64)/1.882,157.260/
      data ak(0,64),ak(1,64),ak(2,64),ak(3,64)/
     $     0.991968e+01,  0.303111e+01, -0.117520e+01,  0.786750e-01/
      data al(0,64),al(1,64),al(2,64),al(3,64)/
     $     0.171159e+02, -0.247838e+01, -0.437107e-01,  0.000000e+00/
      data am(0, 64),am(1, 64),am(2, 64),am(3, 64)/
     $     1.57159e+01,  -2.60843e+00,  0.000000e+00,  0.000000e+00/
      data an(0, 64),an(1, 64),an(2, 64),an(3, 64)/
     $     1.57159e+01,  -2.60843e+00,  0.000000e+00,  0.000000e+00/
      data den(64),cf(64)/7.950,2.611e+02/
      data coh(0,64),coh(1,64),coh(2,64),coh(3,64)/
     $     0.766938e+01,  0.359752e+00, -0.348899e+00,  0.165890e-01/
      data cih(0,64),cih(1,64),cih(2,64),cih(3,64)/
     $     0.273133e+00,  0.143842e+01, -0.186137e+00,  0.375240e-02/
      data ka(64),kb(64),la(64),lb(64)/
     $     0.429830e+02,  0.487180e+02,  0.605720e+01,  0.671320e+01/
      data name(65),  ek(65),el(65),em(65)/
     $     'TB',  0.519960e+02,  0.870800e+01,  0.196700e+01/
      data ak(0,65),ak(1,65),ak(2,65),ak(3,65)/
     $     0.113818e+02,  0.214447e+01, -0.999222e+00,  0.675569e-01/
      data al(0,65),al(1,65),al(2,65),al(3,65)/
     $     0.171499e+02, -0.245507e+01, -0.471370e-01,  0.000000e+00/
      data am(0,65),am(1,65),am(2,65),am(3,65)/
     $     0.158412e+02, -0.264040e+01,  0.000000e+00,  0.000000e+00/
      data an(0,65),an(1,65),an(2,65),an(3,65)/
     $     0.158415e+02, -0.264040e+01,  0.000000e+00,  0.000000e+00/
      data atwt(65),den(65),cf(65)/
     $     0.158930e+03, 0.827200e+01, 0.263900e+03/
      data coh(0,65),coh(1,65),coh(2,65),coh(3,65)/
     $     0.770798e+01,  0.365345e+00, -0.350031e+00,  0.166927e-01/
      data cih(0,65),cih(1,65),cih(2,65),cih(3,65)/
     $     0.257539e+00,  0.145064e+01, -0.187591e+00,  0.379932e-02/
      data ka(65),kb(65),la(65),lb(65)/
     $     0.444700e+02,  0.503910e+02,  0.627280e+01,  0.697800e+01/
      data name(66),  ek(66),el(66),em(66)/
     $     'DY',  0.537890e+02,  0.904700e+01,  0.204600e+01/
      data ak(0,66),ak(1,66),ak(2,66),ak(3,66)/
     $     0.114845e+02,  0.210451e+01, -0.989870e+00,  0.669382e-01/
      data al(0,66),al(1,66),al(2,66),al(3,66)/
     $     0.173446e+02, -0.254821e+01, -0.317606e-01,  0.000000e+00/
      data am(0,66),am(1,66),am(2,66),am(3,66)/
     $     0.159225e+02, -0.265289e+01,  0.000000e+00,  0.000000e+00/
      data an(0,66),an(1,66),an(2,66),an(3,66)/
     $     0.159225e+02, -0.265289e+01,  0.000000e+00,  0.000000e+00/
      data atwt(66),den(66),cf(66)/
     $     0.162510e+03, 0.853600e+01, 0.269800e+03/
      data coh(0,66),coh(1,66),coh(2,66),coh(3,66)/
     $     0.774188e+01,  0.367107e+00, -0.349433e+00,  0.166273e-01/
      data cih(0,66),cih(1,66),cih(2,66),cih(3,66)/
     $     0.242685e+00,  0.146266e+01, -0.189102e+00,  0.385628e-02/
      data ka(66),kb(66),la(66),lb(66)/
     $     0.459850e+02,  0.521780e+02,  0.649520e+01,  0.724770e+01/
      data name(67),  ek(67),el(67),em(67)/
     $     'HO',  0.556180e+02,  0.939500e+01,  0.212700e+01/
      data ak(0,67),ak(1,67),ak(2,67),ak(3,67)/
     $     0.875203e+01,  0.371822e+01, -0.129273e+01,  0.855026e-01/
      data al(0,67),al(1,67),al(2,67),al(3,67)/
     $     0.176583e+02, -0.272523e+01, -0.819409e-03,  0.000000e+00/
      data am(0,67),am(1,67),am(2,67),am(3,67)/
     $     0.160140e+02, -0.267903e+01,  0.000000e+00,  0.000000e+00/
      data an(0,67),an(1,67),an(2,67),an(3,67)/
     $     0.160140e+02, -0.267903e+01,  0.000000e+00,  0.000000e+00/
      data atwt(67),den(67),cf(67)/
     $     0.164940e+03, 0.880300e+01, 0.273900e+03/
      data coh(0,67),coh(1,67),coh(2,67),coh(3,67)/
     $     0.777470e+01,  0.369722e+00, -0.349132e+00,  0.165862e-01/
      data cih(0,67),cih(1,67),cih(2,67),cih(3,67)/
     $     0.228493e+00,  0.147438e+01, -0.190559e+00,  0.390903e-02/
      data ka(67),kb(67),la(67),lb(67)/
     $     0.475280e+02,  0.539340e+02,  0.671980e+01,  0.752530e+01/
      data name(68),  ek(68),el(68),em(68)/
     $     'ER',  0.574860e+02,  0.975200e+01,  0.221200e+01/
      data ak(0,68),ak(1,68),ak(2,68),ak(3,68)/
     $     0.120195e+02,  0.184815e+01, -0.939582e+00,  0.638106e-01/
      data al(0,68),al(1,68),al(2,68),al(3,68)/
     $     0.177988e+02, -0.274671e+01, -0.287580e-02,  0.000000e+00/
      data am(0,68),am(1,68),am(2,68),am(3,68)/
     $     0.160672e+02, -0.267580e+01,  0.000000e+00,  0.000000e+00/
      data an(0,68),an(1,68),an(2,68),an(3,68)/
     $     0.160672e+02, -0.267580e+01,  0.000000e+00,  0.000000e+00/
      data atwt(68),den(68),cf(68)/
     $     0.167270e+03, 0.905100e+01, 0.277700e+03/
      data coh(0,68),coh(1,68),coh(2,68),coh(3,68)/
     $     0.780643e+01,  0.373226e+00, -0.349147e+00,  0.165710e-01/
      data cih(0,68),cih(1,68),cih(2,68),cih(3,68)/
     $     0.225233e+00,  0.148545e+01, -0.191908e+00,  0.395645e-02/
      data ka(68),kb(68),la(68),lb(68)/
     $     0.490990e+02,  0.556900e+02,  0.694870e+01,  0.781090e+01/
      data name(69),  ek(69),el(69),em(69)/
     $     'TM',  0.593900e+02,  0.101160e+02,  0.230700e+01/
      data ak(0,69),ak(1,69),ak(2,69),ak(3,69)/
     $     0.125613e+02,  0.157523e+01, -0.890467e+00,  0.609779e-01/
      data al(0,69),al(1,69),al(2,69),al(3,69)/
     $     0.174250e+02, -0.251103e+01, -0.329450e-01,  0.000000e+00/
      data am(0,69),am(1,69),am(2,69),am(3,69)/
     $     0.161269e+02, -0.267886e+01,  0.000000e+00,  0.000000e+00/
      data an(0,69),an(1,69),an(2,69),an(3,69)/
     $     0.161269e+02, -0.267886e+01,  0.000000e+00,  0.000000e+00/
      data atwt(69),den(69),cf(69)/
     $     0.168940e+03, 0.933200e+01, 0.280500e+03/
      data coh(0,69),coh(1,69),coh(2,69),coh(3,69)/
     $     0.783711e+01,  0.377547e+00, -0.349441e+00,  0.165780e-01/
      data cih(0,69),cih(1,69),cih(2,69),cih(3,69)/
     $     0.202656e+00,  0.149625e+01, -0.193234e+00,  0.400233e-02/
      data ka(69),kb(69),la(69),lb(69)/
     $     0.507300e+02,  0.575760e+02,  0.718100e+01,  0.810300e+01/
      data name(70),  ek(70),el(70),em(70)/
     $     'YB',  0.613320e+02,  0.104880e+02,  0.239800e+01/
      data ak(0,70),ak(1,70),ak(2,70),ak(3,70)/
     $     0.742791e+01,  0.428955e+01, -0.135167e+01,  0.866136e-01/
      data al(0,70),al(1,70),al(2,70),al(3,70)/
     $     0.169795e+02, -0.222577e+01, -0.732557e-01,  0.000000e+00/
      data am(0,70),am(1,70),am(2,70),am(3,70)/
     $     0.161794e+02, -0.267715e+01,  0.000000e+00,  0.000000e+00/
      data an(0,70),an(1,70),an(2,70),an(3,70)/
     $     0.139111e+02, -0.240380e+01,  0.000000e+00,  0.000000e+00/
      data atwt(70),den(70),cf(70)/
     $     0.173040e+03, 0.697700e+01, 0.287300e+03/
      data coh(0,70),coh(1,70),coh(2,70),coh(3,70)/
     $     0.786662e+01,  0.382933e+00, -0.350126e+00,  0.166173e-01/
      data cih(0,70),cih(1,70),cih(2,70),cih(3,70)/
     $     0.202248e+00,  0.148804e+01, -0.189143e+00,  0.362264e-02/
      data ka(70),kb(70),la(70),lb(70)/
     $     0.523600e+02,  0.593520e+02,  0.741400e+01,  0.840100e+01/
      data name(71),  ek(71),el(71),em(71)/
     $     'LU',  0.633140e+02,  0.108700e+02,  0.249200e+01/
      data ak(0,71),ak(1,71),ak(2,71),ak(3,71)/
     $     0.126387e+02,  0.155476e+01, -0.881094e+00,  0.602036e-01/
      data al(0,71),al(1,71),al(2,71),al(3,71)/
     $     0.172638e+02, -0.237189e+01, -0.495994e-01,  0.000000e+00/
      data am(0,71),am(1,71),am(2,71),am(3,71)/
     $     0.162289e+02, -0.267128e+01,  0.000000e+00,  0.000000e+00/
      data an(0,71),an(1,71),an(2,71),an(3,71)/
     $     0.139813e+02, -0.240841e+01,  0.000000e+00,  0.000000e+00/
      data atwt(71),den(71),cf(71)/
     $     0.174990e+03, 0.984200e+01, 0.290600e+03/
      data coh(0,71),coh(1,71),coh(2,71),coh(3,71)/
     $     0.789137e+01,  0.386034e+00, -0.349756e+00,  0.165480e-01/
      data cih(0,71),cih(1,71),cih(2,71),cih(3,71)/
     $     0.197176e+00,  0.150264e+01, -0.192474e+00,  0.385751e-02/
      data ka(71),kb(71),la(71),lb(71)/
     $     0.540630e+02,  0.612820e+02,  0.765400e+01,  0.870800e+01/
      data name(72),  ek(72),el(72),em(72)/
     $     'HF',  0.653510e+02,  0.112720e+02,  0.260200e+01/
      data ak(0,72),ak(1,72),ak(2,72),ak(3,72)/
     $     0.758160e+01,  0.447037e+01, -0.142808e+01,  0.939044e-01/
      data al(0,72),al(1,72),al(2,72),al(3,72)/
     $     0.164329e+02, -0.182851e+01, -0.132268e+00,  0.000000e+00/
      data am(0,72),am(1,72),am(2,72),am(3,72)/
     $     0.162758e+02, -0.266220e+01,  0.000000e+00,  0.000000e+00/
      data an(0,72),an(1,72),an(2,72),an(3,72)/
     $     0.140548e+02, -0.242829e+01,  0.000000e+00,  0.000000e+00/
      data atwt(72),den(72),cf(72)/
     $     0.178500e+03, 0.133000e+02, 0.296400e+03/
      data coh(0,72),coh(1,72),coh(2,72),coh(3,72)/
     $     0.791803e+01,  0.387021e+00, -0.348881e+00,  0.164406e-01/
      data cih(0,72),cih(1,72),cih(2,72),cih(3,72)/
     $     0.199469e+00,  0.150233e+01, -0.191385e+00,  0.374011e-02/
      data ka(72),kb(72),la(72),lb(72)/
     $     0.557570e+02,  0.632090e+02,  0.789800e+01,  0.902100e+01/
      data name(73),  ek(73),el(73),em(73)/
     $     'TA',  0.674140e+02,  0.116800e+02,  0.270300e+01/
      data ak(0,73),ak(1,73),ak(2,73),ak(3,73)/
     $     0.865271e+01,  0.373117e+01, -0.126359e+01,  0.823539e-01/
      data al(0,73),al(1,73),al(2,73),al(3,73)/
     $     0.172411e+02, -0.230313e+01, -0.591006e-01,  0.000000e+00/
      data am(0,73),am(1,73),am(2,73),am(3,73)/
     $     0.163038e+02, -0.266148e+01,  0.000000e+00,  0.000000e+00/
      data an(0,73),an(1,73),an(2,73),an(3,73)/
     $     0.141313e+02, -0.247214e+01,  0.000000e+00,  0.000000e+00/
      data atwt(73),den(73),cf(73)/
     $     0.180950e+03, 0.166000e+02, 0.300500e+03/
      data coh(0,73),coh(1,73),coh(2,73),coh(3,73)/
     $     0.794534e+01,  0.387299e+00, -0.347926e+00,  0.163230e-01/
      data cih(0,73),cih(1,73),cih(2,73),cih(3,73)/
     $     0.196871e+00,  0.150623e+01, -0.191396e+00,  0.370889e-02/
      data ka(73),kb(73),la(73),lb(73)/
     $     0.575240e+02,  0.652100e+02,  0.814500e+01,  0.934100e+01/
      data name(74),  ek(74),el(74),em(74)/
     $     'W ',  0.695240e+02,  0.120980e+02,  0.281800e+01/
      data ak(0,74),ak(1,74),ak(2,74),ak(3,74)/
     $     0.757541e+01,  0.428874e+01, -0.134998e+01,  0.865200e-01/
      data al(0,74),al(1,74),al(2,74),al(3,74)/
     $     0.172533e+02, -0.223874e+01, -0.727338e-01,  0.000000e+00/
      data am(0,74),am(1,74),am(2,74),am(3,74)/
     $     0.162613e+02, -0.260672e+01,  0.000000e+00,  0.000000e+00/
      data an(0,74),an(1,74),an(2,74),an(3,74)/
     $     0.141536e+02, -0.232580e+01,  0.000000e+00,  0.000000e+00/
      data atwt(74),den(74),cf(74)/
     $     0.183920e+03, 0.193000e+02, 0.305400e+03/
      data coh(0,74),coh(1,74),coh(2,74),coh(3,74)/
     $     0.797266e+01,  0.387704e+00, -0.347155e+00,  0.162372e-01/
      data cih(0,74),cih(1,74),cih(2,74),cih(3,74)/
     $     0.191015e+00,  0.151240e+01, -0.191220e+00,  0.371450e-02/
      data ka(74),kb(74),la(74),lb(74)/
     $     0.593100e+02,  0.672330e+02,  0.839600e+01,  0.967000e+01/
      data name(75),  ek(75),el(75),em(75)/
     $     'RE',  0.716760e+02,  0.125250e+02,  0.293100e+01/
      data ak(0,75),ak(1,75),ak(2,75),ak(3,75)/
     $     0.136944e+01,  0.779444e+01, -0.199822e+01,  0.126225e+00/
      data al(0,75),al(1,75),al(2,75),al(3,75)/
     $     0.178750e+02, -0.261051e+01, -0.136093e-01,  0.000000e+00/
      data am(0,75),am(1,75),am(2,75),am(3,75)/
     $     0.163564e+02, -0.262453e+01,  0.000000e+00,  0.000000e+00/
      data an(0,75),an(1,75),an(2,75),an(3,75)/
     $     0.142392e+02, -0.235326e+01,  0.000000e+00,  0.000000e+00/
      data atwt(75),den(75),cf(75)/
     $     0.186200e+03, 0.210200e+02, 0.309200e+03/
      data coh(0,75),coh(1,75),coh(2,75),coh(3,75)/
     $     0.799940e+01,  0.388739e+00, -0.346726e+00,  0.161751e-01/
      data cih(0,75),cih(1,75),cih(2,75),cih(3,75)/
     $     0.189644e+00,  0.150867e+01, -0.189570e+00,  0.349584e-02/
      data ka(75),kb(75),la(75),lb(75)/
     $     0.611310e+02,  0.692980e+02,  0.865100e+01,  0.100080e+02/
      data name(76),  ek(76),el(76),em(76)/
     $     'OS',  0.738720e+02,  0.129640e+02,  0.305000e+01/
      data ak(0,76),ak(1,76),ak(2,76),ak(3,76)/
     $     0.137534e+02,  0.102122e+01, -0.777126e+00,  0.538811e-01/
      data al(0,76),al(1,76),al(2,76),al(3,76)/
     $     0.173525e+02, -0.228550e+01, -0.588047e-01,  0.000000e+00/
      data am(0,76),am(1,76),am(2,76),am(3,76)/
     $     0.164233e+02, -0.263163e+01,  0.000000e+00,  0.000000e+00/
      data an(0,76),an(1,76),an(2,76),an(3,76)/
     $     0.142795e+02, -0.221971e+01,  0.000000e+00,  0.000000e+00/
      data atwt(76),den(76),cf(76)/
     $     0.190200e+03, 0.225000e+02, 0.315800e+03/
      data coh(0,76),coh(1,76),coh(2,76),coh(3,76)/
     $     0.802574e+01,  0.390458e+00, -0.346658e+00,  0.161455e-01/
      data cih(0,76),cih(1,76),cih(2,76),cih(3,76)/
     $     0.116448e+00,  0.157615e+01, -0.205332e+00,  0.466731e-02/
      data ka(76),kb(76),la(76),lb(76)/
     $     0.629910e+02,  0.714040e+02,  0.891000e+01,  0.103540e+02/
      data name(77),  ek(77),el(77),em(77)/
     $     'IR',  0.761120e+02,  0.134240e+02,  0.317200e+01/
      data ak(0,77),ak(1,77),ak(2,77),ak(3,77)/
     $     0.125506e+02,  0.163090e+01, -0.875676e+00,  0.592011e-01/
      data al(0,77),al(1,77),al(2,77),al(3,77)/
     $     0.165270e+02, -0.176315e+01, -0.135232e+00,  0.000000e+00/
      data am(0,77),am(1,77),am(2,77),am(3,77)/
     $     0.165144e+02, -0.264832e+01,  0.000000e+00,  0.000000e+00/
      data an(0,77),an(1,77),an(2,77),an(3,77)/
     $     0.143422e+02, -0.240183e+01,  0.000000e+00,  0.000000e+00/
      data atwt(77),den(77),cf(77)/
     $     0.192200e+03, 0.224200e+02, 0.319100e+03/
      data coh(0,77),coh(1,77),coh(2,77),coh(3,77)/
     $     0.805150e+01,  0.393143e+00, -0.347052e+00,  0.161570e-01/
      data cih(0,77),cih(1,77),cih(2,77),cih(3,77)/
     $     0.719908e-01,  0.161204e+01, -0.213186e+00,  0.520497e-02/
      data ka(77),kb(77),la(77),lb(77)/
     $     0.648860e+02,  0.735490e+02,  0.917300e+01,  0.107060e+02/
      data name(78),  ek(78),el(78),em(78)/
     $     'PT',  0.783950e+02,  0.138920e+02,  0.329700e+01/
      data ak(0,78),ak(1,78),ak(2,78),ak(3,78)/
     $     0.127882e+02,  0.163605e+01, -0.898523e+00,  0.618550e-01/
      data al(0,78),al(1,78),al(2,78),al(3,78)/
     $     0.173636e+02, -0.221120e+01, -0.730934e-01,  0.000000e+00/
      data am(0,78),am(1,78),am(2,78),am(3,78)/
     $     0.167024e+02, -0.271631e+01,  0.000000e+00,  0.000000e+00/
      data an(0,78),an(1,78),an(2,78),an(3,78)/
     $     0.143785e+02, -0.234834e+01,  0.000000e+00,  0.000000e+00/
      data atwt(78),den(78),cf(78)/
     $     0.195090e+03, 0.213700e+02, 0.323900e+03/
      data coh(0,78),coh(1,78),coh(2,78),coh(3,78)/
     $     0.808084e+01,  0.395790e+00, -0.348032e+00,  0.162345e-01/
      data cih(0,78),cih(1,78),cih(2,78),cih(3,78)/
     $     0.420186e-01,  0.163611e+01, -0.217964e+00,  0.552670e-02/
      data ka(78),kb(78),la(78),lb(78)/
     $     0.668200e+02,  0.757360e+02,  0.944100e+01,  0.110690e+02/
      data name(79),  ek(79),el(79),em(79)/
     $     'AU',  0.807230e+02,  0.143530e+02,  0.342500e+01/
      data ak(0,79),ak(1,79),ak(2,79),ak(3,79)/
     $     0.496352e+01,  0.579212e+01, -0.161842e+01,  0.102911e+00/
      data al(0,79),al(1,79),al(2,79),al(3,79)/
     $     0.174240e+02, -0.223911e+01, -0.663720e-01,  0.000000e+00/
      data am(0,79),am(1,79),am(2,79),am(3,79)/
     $     0.164734e+02, -0.257834e+01,  0.000000e+00,  0.000000e+00/
      data an(0,79),an(1,79),an(2,79),an(3,79)/
     $     0.144398e+02, -0.232838e+01,  0.000000e+00,  0.000000e+00/
      data atwt(79),den(79),cf(79)/
     $     0.197200e+03, 0.193700e+02, 0.327400e+03/
      data coh(0,79),coh(1,79),coh(2,79),coh(3,79)/
     $     0.810524e+01,  0.400576e+00, -0.349340e+00,  0.163264e-01/
      data cih(0,79),cih(1,79),cih(2,79),cih(3,79)/
     $     0.156916e-01,  0.165406e+01, -0.220982e+00,  0.570751e-02/
      data ka(79),kb(79),la(79),lb(79)/
     $     0.687790e+02,  0.779680e+02,  0.971100e+01,  0.114390e+02/
      data name(80),  ek(80),el(80),em(80)/
     $     'HG',  0.831030e+02,  0.148460e+02,  0.356200e+01/
      data ak(0,80),ak(1,80),ak(2,80),ak(3,80)/
     $     0.197594e+02, -0.197990e+01, -0.276981e+00,  0.268856e-01/
      data al(0,80),al(1,80),al(2,80),al(3,80)/
     $     0.171857e+02, -0.208470e+01, -0.853294e-01,  0.000000e+00/
      data am(0,80),am(1,80),am(2,80),am(3,80)/
     $     0.165903e+02, -0.260670e+01,  0.000000e+00,  0.000000e+00/
      data an(0,80),an(1,80),an(2,80),an(3,80)/
     $     0.145195e+02, -0.233016e+01,  0.000000e+00,  0.000000e+00/
      data atwt(80),den(80),cf(80)/
     $     0.200610e+03, 0.135460e+02, 0.333100e+03/
      data coh(0,80),coh(1,80),coh(2,80),coh(3,80)/
     $     0.812542e+01,  0.405858e+00, -0.350329e+00,  0.163772e-01/
      data cih(0,80),cih(1,80),cih(2,80),cih(3,80)/
     $     0.114587e+00,  0.158076e+01, -0.202968e+00,  0.435692e-02/
      data ka(80),kb(80),la(80),lb(80)/
     $     0.708210e+02,  0.802580e+02,  0.998700e+01,  0.118230e+02/
      data name(81),  ek(81),el(81),em(81)/
     $     'TL',  0.855280e+02,  0.153440e+02,  0.370000e+01/
      data ak(0,81),ak(1,81),ak(2,81),ak(3,81)/
     $     0.152879e+02,  0.273664e+00, -0.638890e+00,  0.457495e-01/
      data al(0,81),al(1,81),al(2,81),al(3,81)/
     $     0.177379e+02, -0.237745e+01, -0.433223e-01,  0.000000e+00/
      data am(0,81),am(1,81),am(2,81),am(3,81)/
     $     0.166564e+02, -0.261593e+01,  0.000000e+00,  0.000000e+00/
      data an(0,81),an(1,81),an(2,81),an(3,81)/
     $     0.145473e+02, -0.226773e+01,  0.000000e+00,  0.000000e+00/
      data atwt(81),den(81),cf(81)/
     $     0.204390e+03, 0.118600e+02, 0.339400e+03/
      data coh(0,81),coh(1,81),coh(2,81),coh(3,81)/
     $     0.814399e+01,  0.408692e+00, -0.349802e+00,  0.162880e-01/
      data cih(0,81),cih(1,81),cih(2,81),cih(3,81)/
     $     0.147052e+00,  0.156695e+01, -0.200347e+00,  0.420901e-02/
      data ka(81),kb(81),la(81),lb(81)/
     $     0.728600e+02,  0.825580e+02,  0.102660e+02,  0.122100e+02/
      data name(82),  ek(82),el(82)/
     $     'PB',  0.880060e+02,0.158600e+02/
      data ak(0,82),ak(1,82),ak(2,82),ak(3,82)/
     $     0.863374e+01,  0.369400e+01, -0.121312e+01,  0.774601e-01/
      data al(0,82),al(1,82),al(2,82),al(3,82)/
     $     0.177963e+02, -0.237691e+01, -0.455883e-01,  0.000000e+00/
      data am(0,82),am(1,82),am(2,82),am(3,82)/
     $     0.167131e+02, -0.261538e+01,  0.000000e+00,  0.000000e+00/
      data an(0,82),an(1,82),an(2,82),an(3,82)/
     $     0.145771e+02, -0.225279e+01,  0.000000e+00,  0.000000e+00/
      data coh(0,82),coh(1,82),coh(2,82),coh(3,82)/
     $     8.15996e+00,   4.18031e-01,  -3.52330e-01,   1.64660e-02/
      data cih(0,82),cih(1,82),cih(2,82),cih(3,82)/
     $     1.82167e-01,   1.54661e+00,  -1.95973e-01,   3.90772e-03/
      data den(82), cf(82)/ 0.113400e+02, 0.344100e+03/
      data ka(82),kb(82),la(82),lb(82)/
     $     0.749570e+02,  0.849220e+02,  0.105490e+02,  0.126110e+02/
      data em(82),atwt(82)/ 0.385000e+01,207.210/
      data name(83),  ek(83),el(83),em(83)/
     $     'BI',  0.905270e+02,  0.163850e+02,  0.399900e+01/
      data ak(0,83),ak(1,83),ak(2,83),ak(3,83)/
     $     0.944293e+01,  0.344965e+01, -0.119886e+01,  0.783484e-01/
      data al(0,83),al(1,83),al(2,83),al(3,83)/
     $     0.175348e+02, -0.223353e+01, -0.596161e-01,  0.000000e+00/
      data am(0,83),am(1,83),am(2,83),am(3,83)/
     $     0.167078e+02, -0.258648e+01,  0.000000e+00,  0.000000e+00/
      data an(0,83),an(1,83),an(2,83),an(3,83)/
     $     0.146832e+02, -0.230940e+01,  0.000000e+00,  0.000000e+00/
      data atwt(83),den(83),cf(83)/
     $     0.209000e+03, 0.980000e+01, 0.347000e+03/
      data coh(0,83),coh(1,83),coh(2,83),coh(3,83)/
     $     0.817489e+01,  0.427916e+00, -0.355068e+00,  0.166601e-01/
      data cih(0,83),cih(1,83),cih(2,83),cih(3,83)/
     $     0.189860e+00,  0.156125e+01, -0.200932e+00,  0.436768e-02/
      data ka(83),kb(83),la(83),lb(83)/
     $     0.770970e+02,  0.873350e+02,  0.108360e+02,  0.130210e+02/
      data name(86),  ek(86),el(86),em(86)/
     $     'RN',  0.984170e+02,  0.180550e+02,  0.447800e+01/
      data ak(0,86),ak(1,86),ak(2,86),ak(3,86)/
     $     0.151782e+02,  0.349020e+00, -0.637638e+00,  0.451377e-01/
      data al(0,86),al(1,86),al(2,86),al(3,86)/
     $     0.175028e+02, -0.214876e+01, -0.724638e-01,  0.000000e+00/
      data am(0,86),am(1,86),am(2,86),am(3,86)/
     $     0.169000e+02, -0.260945e+01,  0.000000e+00,  0.000000e+00/
      data an(0,86),an(1,86),an(2,86),an(3,86)/
     $     0.147243e+02, -0.212905e+01,  0.000000e+00,  0.000000e+00/
      data atwt(86),den(86),cf(86)/
     $     0.222000e+03, 0.973000e-02, 0.368600e+03/
      data coh(0,86),coh(1,86),coh(2,86),coh(3,86)/
     $     0.822553e+01,  0.451478e+00, -0.362056e+00,  0.171556e-01/
      data cih(0,86),cih(1,86),cih(2,86),cih(3,86)/
     $     0.196619e+00,  0.160080e+01, -0.213800e+00,  0.551717e-02/
      data ka(86),kb(86),la(86),lb(86)/
     $     0.838000e+02,  0.948770e+02,  0.117240e+02,  0.143160e+02/
      data name(90),  ek(90),el(90),em(90)/
     $     'TH',  0.109649e+03,  0.204700e+02,  0.518200e+01/
      data ak(0,90),ak(1,90),ak(2,90),ak(3,90)/
     $     0.134336e+02,  0.134805e+01, -0.813280e+00,  0.555664e-01/
      data al(0,90),al(1,90),al(2,90),al(3,90)/
     $     0.185481e+02, -0.261281e+01, -0.790574e-02,  0.000000e+00/
      data am(0,90),am(1,90),am(2,90),am(3,90)/
     $     0.170483e+02, -0.258569e+01,  0.000000e+00,  0.000000e+00/
      data an(0,90),an(1,90),an(2,90),an(3,90)/
     $     0.147730e+02, -0.191192e+01,  0.000000e+00,  0.000000e+00/
      data atwt(90),den(90),cf(90)/
     $     0.232000e+03, 0.117000e+02, 0.385200e+03/
      data coh(0,90),coh(1,90),coh(2,90),coh(3,90)/
     $     0.827843e+01,  0.479056e+00, -0.367657e+00,  0.174621e-01/
      data cih(0,90),cih(1,90),cih(2,90),cih(3,90)/
     $     0.170890e+00,  0.165561e+01, -0.229702e+00,  0.692516e-02/
      data ka(90),kb(90),la(90),lb(90)/
     $     0.933340e+02,  0.105592e+03,  0.129660e+02,  0.162000e+02/
      data name(92),  ek(92),el(92),em(92)/
     $     'U ',  0.115603e+03,  0.217560e+02,  0.554900e+01/
      data ak(0,92),ak(1,92),ak(2,92),ak(3,92)/
     $     0.137951e+02,  0.123983e+01, -0.801545e+00,  0.553596e-01/
      data al(0,92),al(1,92),al(2,92),al(3,92)/
     $     0.175258e+02, -0.207237e+01, -0.723932e-01,  0.000000e+00/
      data am(0,92),am(1,92),am(2,92),am(3,92)/
     $     0.170353e+02, -0.256903e+01,  0.000000e+00,  0.000000e+00/
      data an(0,92),an(1,92),an(2,92),an(3,92)/
     $     0.149036e+02, -0.212148e+01,  0.000000e+00,  0.000000e+00/
      data atwt(92),den(92),cf(92)/
     $     0.238070e+03, 0.190500e+02, 0.395300e+03/
      data coh(0,92),coh(1,92),coh(2,92),coh(3,92)/
     $     0.833010e+01,  0.478314e+00, -0.367250e+00,  0.174129e-01/
      data cih(0,92),cih(1,92),cih(2,92),cih(3,92)/
     $     0.108277e+00,  0.174158e+01, -0.254104e+00,  0.895056e-02/
      data ka(92),kb(92),la(92),lb(92)/
     $     0.984280e+02,  0.111289e+03,  0.136130e+02,  0.172180e+02/
      data name(94),  ek(94),el(94),em(94)/
     $     'PU',  0.121760e+03,  0.230950e+02,  0.591400e+01/
      data ak(0,94),ak(1,94),ak(2,94),ak(3,94)/
     $     0.182787e+02, -0.117371e+01, -0.368344e+00,  0.298738e-01/
      data al(0,94),al(1,94),al(2,94),al(3,94)/
     $     0.175519e+02, -0.202162e+01, -0.822940e-01,  0.000000e+00/
      data am(0,94),am(1,94),am(2,94),am(3,94)/
     $     0.172953e+02, -0.262164e+01,  0.000000e+00,  0.000000e+00/
      data an(0,94),an(1,94),an(2,94),an(3,94)/
     $     0.148535e+02, -0.187733e+01,  0.000000e+00,  0.000000e+00/
      data atwt(94),den(94),cf(94)/
     $     0.239100e+03, 0.197000e+02, 0.397000e+03/
      data coh(0,94),coh(1,94),coh(2,94),coh(3,94)/
     $     0.838174e+01,  0.477085e+00, -0.366556e+00,  0.173422e-01/
      data cih(0,94),cih(1,94),cih(2,94),cih(3,94)/
     $     0.388791e-01,  0.182229e+01, -0.276099e+00,  0.107392e-01/
      data ka(94),kb(94),la(94),lb(94)/
     $     0.103653e+03,  0.117146e+03,  0.142790e+02,  0.182780e+02/
      data name(84),name(85),name(87),name(88),name(89),name(91)
     $     ,name(93)/'  ','  ','  ','  ','  ','  ','  '/
      data lj1,lj2 / 1.160, 0.141000e+01 /
      data l2(1),l3(1),lj3(1)/0.0,0.0,0.0/
      data l2(2),l3(2),lj3(2)/0.0,0.0,0.0/
      data l2(3),l3(3),lj3(3)/0.0,0.0,0.0/
      data l2(4),l3(4),lj3(4)/0.0,0.0,0.0/
      data l2(5),l3(5),lj3(5)/0.0,0.0,0.0/
      data l2(6),l3(6),lj3(6)/0.0,0.0,0.0/
      data l2(7),l3(7),lj3(7)/0.0,0.0,0.0/
      data l2(8),l3(8),lj3(8)/0.0,0.0,0.0/
      data l2(9),l3(9),lj3(9)/0.0,0.0,0.0/
      data l2(10),l3(10),lj3(10)/0.0,0.0,0.0/
      data l2(11),l3(11),lj3(11)/0.0,0.0,0.0/
      data l2(12),l3(12),lj3(12)/
     $     0.496000e-01, 0.4920000e-01,  0.00/
      data l2(13),l3(13),lj3(13)/
     $     0.729000e-01,  0.725000e-01,  0.00/
      data l2(14),l3(14),lj3(14)/
     $     0.998000e-01,  0.992000e-01,  0.00/
      data l2(15),l3(15),lj3(15)/
     $     0.136000e+00,  0.135000e+00,  0.00/
      data l2(16),l3(16),lj3(16)/
     $     0.163600e+00,  0.162500e+00,  0.00/
      data l2(17),l3(17),lj3(17)/
     $     0.202000e+00,  0.200000e+00,  0.00/
      data l2(18),l3(18),lj3(18)/
     $     0.250600e+00,  0.248400e+00,  0.00/
      data l2(19),l3(19),lj3(19)/
     $     0.297300e+00,  0.294600e+00,  0.00/
      data l2(20),l3(20),lj3(20)/
     $     0.349700e+00,  0.346200e+00,  0.00/
      data l2(21),l3(21),lj3(21)/
     $     0.403600e+00,  0.398700e+00,  0.00/
      data l2(22),l3(22),lj3(22)/
     $     0.461200e+00,  0.453800e+00,  0.00/
      data l2(23),l3(23),lj3(23)/
     $     0.519800e+00,  0.512100e+00,  0.00/
      data l2(24),l3(24),lj3(24)/
     $     0.583800e+00,  0.574100e+00,  0.00/
      data l2(25),l3(25),lj3(25)/
     $     0.649900e+00,  0.638700e+00,  0.00/
      data l2(26),l3(26),lj3(26)/
     $     0.719900e+00,  0.706800e+00,  0.00/
      data l2(27),l3(27),lj3(27)/
     $     0.793300e+00,  0.778100e+00,  0.00/
      data l2(28),l3(28),lj3(28)/
     $     0.872000e+00,  0.855000e+00,  0.277200e+01/
      data l2(29),l3(29),lj3(29)/
     $     0.952000e+00,  0.932000e+00,  0.287400e+01/
      data l2(30),l3(30),lj3(30)/
     $     0.104400e+01,  0.102100e+01,  0.568400e+01/
      data l2(31),l3(31),lj3(31)/
     $     0.114200e+01,  0.111500e+01,  0.567100e+01/
      data l2(32),l3(32),lj3(32)/
     $     0.124900e+01,  0.121800e+01,  0.570400e+01/
      data l2(33),l3(33),lj3(33)/
     $     0.136000e+01,  0.132500e+01,  0.487500e+01/
      data l2(34),l3(34),lj3(34)/
     $     0.147700e+01,  0.143600e+01,  0.458700e+01/
      data l2(35),l3(35),lj3(35)/
     $     0.159600e+01,  0.155000e+01,  0.455700e+01/
      data l2(36),l3(36),lj3(36)/
     $     0.172600e+01,  0.167500e+01,  0.417000e+01/
      data l2(37),l3(37),lj3(37)/
     $     0.186300e+01,  0.180500e+01,  0.422300e+01/
      data l2(38),l3(38),lj3(38)/
     $     0.200700e+01,  0.194000e+01,  0.390600e+01/
      data l2(39),l3(39),lj3(39)/
     $     0.215600e+01,  0.208000e+01,  0.403600e+01/
      data l2(40),l3(40),lj3(40)/
     $     0.230700e+01,  0.222300e+01,  0.397600e+01/
      data l2(41),l3(41),lj3(41)/
     $     0.246500e+01,  0.237100e+01,  0.377400e+01/
      data l2(42),l3(42),lj3(42)/
     $     0.262500e+01,  0.252000e+01,  0.367500e+01/
      data l2(43),l3(43),lj3(43)/
     $     0.279300e+01,  0.267700e+01,  0.359100e+01/
      data l2(44),l3(44),lj3(44)/
     $     0.296700e+01,  0.283800e+01,  0.343100e+01/
      data l2(45),l3(45),lj3(45)/
     $     0.314600e+01,  0.300300e+01,  0.372100e+01/
      data l2(46),l3(46),lj3(46)/
     $     0.333000e+01,  0.317300e+01,  0.340200e+01/
      data l2(47),l3(47),lj3(47)/
     $     0.352400e+01,  0.335100e+01,  0.322300e+01/
      data l2(48),l3(48),lj3(48)/
     $     0.372700e+01,  0.353700e+01,  0.324900e+01/
      data l2(49),l3(49),lj3(49)/
     $     0.393800e+01,  0.373000e+01,  0.325500e+01/
      data l2(50),l3(50),lj3(50)/
     $     0.415600e+01,  0.392900e+01,  0.306000e+01/
      data l2(51),l3(51),lj3(51)/
     $     0.438100e+01,  0.413200e+01,  0.293900e+01/
      data l2(52),l3(52),lj3(52)/
     $     0.461200e+01,  0.434100e+01,  0.297900e+01/
      data l2(53),l3(53),lj3(53)/
     $     0.485200e+01,  0.455700e+01,  0.285600e+01/
      data l2(54),l3(54),lj3(54)/
     $     0.510000e+01,  0.478100e+01,  0.287900e+01/
      data l2(55),l3(55),lj3(55)/
     $     0.535900e+01,  0.501200e+01,  0.284700e+01/
      data l2(56),l3(56),lj3(56)/
     $     0.562400e+01,  0.524700e+01,  0.283900e+01/
      data l2(57),l3(57),lj3(57)/
     $     0.589100e+01,  0.548300e+01,  0.271700e+01/
      data l2(58),l3(58),lj3(58)/
     $     0.616500e+01,  0.572400e+01,  0.273700e+01/
      data l2(59),l3(59),lj3(59)/
     $     0.644100e+01,  0.596500e+01,  0.269500e+01/
      data l2(60),l3(60),lj3(60)/
     $     0.672200e+01,  0.620800e+01,  0.266200e+01/
      data l2(61),l3(61),lj3(61)/
     $     0.701300e+01,  0.646000e+01,  0.270200e+01/
      data l2(62),l3(62),lj3(62)/
     $     0.731200e+01,  0.671700e+01,  0.268000e+01/
      data l2(63),l3(63),lj3(63)/
     $     0.761800e+01,  0.697700e+01,  0.272300e+01/
      data l2(64),l3(64),lj3(64)/
     $     0.793100e+01,  0.724300e+01,  0.270100e+01/
      data l2(65),l3(65),lj3(65)/
     $     0.825200e+01,  0.751500e+01,  0.271300e+01/
      data l2(66),l3(66),lj3(66)/
     $     0.858100e+01,  0.779000e+01,  0.904700e+01/
      data l2(67),l3(67),lj3(67)/
     $     0.891900e+01,  0.807100e+01,  0.286300e+01/
      data l2(68),l3(68),lj3(68)/
     $     0.926500e+01,  0.835800e+01,  0.293300e+01/
      data l2(69),l3(69),lj3(69)/
     $     0.961800e+01,  0.864800e+01,  0.275800e+01/
      data l2(70),l3(70),lj3(70)/
     $     0.997800e+01,  0.894300e+01,  0.257300e+01/
      data l2(71),l3(71),lj3(71)/
     $     0.103490e+02,  0.924400e+01,  0.262000e+01/
      data l2(72),l3(72),lj3(72)/
     $     0.107390e+02,  0.956100e+01,  0.241500e+01/
      data l2(73),l3(73),lj3(73)/
     $     0.111360e+02,  0.988100e+01,  0.260000e+01/
      data l2(74),l3(74),lj3(74)/
     $     0.115420e+02,  0.102040e+02,  0.261700e+01/
      data l2(75),l3(75),lj3(75)/
     $     0.119570e+02,  0.105340e+02,  0.267500e+01/
      data l2(76),l3(76),lj3(76)/
     $     0.123840e+02,  0.108710e+02,  0.252900e+01/
      data l2(77),l3(77),lj3(77)/
     $     0.128240e+02,  0.112150e+02,  0.238700e+01/
      data l2(78),l3(78),lj3(78)/
     $     0.132730e+02,  0.115640e+02,  0.263200e+01/
      data l2(79),l3(79),lj3(79)/
     $     0.137330e+02,  0.119180e+02,  0.243900e+01/
      data l2(80),l3(80),lj3(80)/
     $     0.142090e+02,  0.122840e+02,  0.240000e+01/
      data l2(81),l3(81),lj3(81)/
     $     0.146980e+02,  0.126570e+02,  0.249800e+01/
      data l2(82),l3(82),lj3(82)/
     $     0.151980e+02,  0.130350e+02,  0.246600e+01/
      data l2(83),l3(83),lj3(83)/
     $     0.157080e+02,  0.134180e+02,  0.233800e+01/
      data l2(86),l3(86),lj3(86)/
     $     0.173340e+02,  0.146120e+02,  0.234400e+01/
      data l2(90),l3(90),lj3(90)/
     $     0.196920e+02,  0.163000e+02,  0.238800e+01/
      data l2(92),l3(92),lj3(92)/
     $     0.209470e+02,  0.171670e+02,  0.229200e+01/
      data l2(94),l3(94),lj3(94)/
     $     0.222630e+02,  0.180530e+02,  0.225100e+01/
      data fek( 1),fel(1, 1),fel(2, 1),fel(3, 1)/
     $     0.000000E+00, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 2),fel(1, 2),fel(2, 2),fel(3, 2)/
     $     0.000000E+00, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 3),fel(1, 3),fel(2, 3),fel(3, 3)/
     $     0.000000E+00, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 4),fel(1, 4),fel(2, 4),fel(3, 4)/
     $     0.000000E+00, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 5),fel(1, 5),fel(2, 5),fel(3, 5)/
     $     0.170000E-02, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 6),fel(1, 6),fel(2, 6),fel(3, 6)/
     $     0.280000E-02, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 7),fel(1, 7),fel(2, 7),fel(3, 7)/
     $     0.520000E-02, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 8),fel(1, 8),fel(2, 8),fel(3, 8)/
     $     0.830000E-02, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek( 9),fel(1, 9),fel(2, 9),fel(3, 9)/
     $     0.130000E-01, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek(10),fel(1,10),fel(2,10),fel(3,10)/
     $     0.180000E-01, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek(11),fel(1,11),fel(2,11),fel(3,11)/
     $     0.230000E-01, 0.000000E+00, 0.000000E+00, 0.000000E+00/
      data fek(12),fel(1,12),fel(2,12),fel(3,12)/
     $     0.300000E-01, 0.290000E-04, 0.120000E-02, 0.120000E-02/
      data fek(13),fel(1,13),fel(2,13),fel(3,13)/
     $     0.390000E-01, 0.260000E-04, 0.750000E-03, 0.750000E-03/
      data fek(14),fel(1,14),fel(2,14),fel(3,14)/
     $     0.500000E-01, 0.300000E-04, 0.370000E-03, 0.380000E-03/
      data fek(15),fel(1,15),fel(2,15),fel(3,15)/
     $     0.630000E-01, 0.390000E-04, 0.310000E-03, 0.310000E-03/
      data fek(16),fel(1,16),fel(2,16),fel(3,16)/
     $     0.780000E-01, 0.740000E-04, 0.260000E-03, 0.260000E-03/
      data fek(17),fel(1,17),fel(2,17),fel(3,17)/
     $     0.970000E-01, 0.120000E-03, 0.240000E-03, 0.240000E-03/
      data fek(18),fel(1,18),fel(2,18),fel(3,18)/
     $     0.118000E+00, 0.180000E-03, 0.220000E-03, 0.220000E-03/
      data fek(19),fel(1,19),fel(2,19),fel(3,19)/
     $     0.140000E+00, 0.240000E-03, 0.270000E-03, 0.270000E-03/
      data fek(20),fel(1,20),fel(2,20),fel(3,20)/
     $     0.163000E+00, 0.310000E-03, 0.330000E-03, 0.330000E-03/
      data fek(21),fel(1,21),fel(2,21),fel(3,21)/
     $     0.188000E+00, 0.390000E-03, 0.840000E-03, 0.840000E-03/
      data fek(22),fel(1,22),fel(2,22),fel(3,22)/
     $     0.214000E+00, 0.470000E-03, 0.150000E-02, 0.150000E-02/
      data fek(23),fel(1,23),fel(2,23),fel(3,23)/
     $     0.243000E+00, 0.580000E-03, 0.260000E-02, 0.260000E-02/
      data fek(24),fel(1,24),fel(2,24),fel(3,24)/
     $     0.275000E+00, 0.710000E-03, 0.370000E-02, 0.370000E-02/
      data fek(25),fel(1,25),fel(2,25),fel(3,25)/
     $     0.308000E+00, 0.840000E-03, 0.500000E-02, 0.500000E-02/
      data fek(26),fel(1,26),fel(2,26),fel(3,26)/
     $     0.340000E+00, 0.100000E-02, 0.630000E-02, 0.630000E-02/
      data fek(27),fel(1,27),fel(2,27),fel(3,27)/
     $     0.373000E+00, 0.120000E-02, 0.770000E-02, 0.770000E-02/
      data fek(28),fel(1,28),fel(2,28),fel(3,28)/
     $     0.406000E+00, 0.140000E-02, 0.860000E-02, 0.930000E-02/
      data fek(29),fel(1,29),fel(2,29),fel(3,29)/
     $     0.440000E+00, 0.160000E-02, 0.100000E-01, 0.110000E-01/
      data fek(30),fel(1,30),fel(2,30),fel(3,30)/
     $     0.474000E+00, 0.180000E-02, 0.110000E-01, 0.120000E-01/
      data fek(31),fel(1,31),fel(2,31),fel(3,31)/
     $     0.507000E+00, 0.210000E-02, 0.120000E-01, 0.130000E-01/
      data fek(32),fel(1,32),fel(2,32),fel(3,32)/
     $     0.535000E+00, 0.240000E-02, 0.130000E-01, 0.150000E-01/
      data fek(33),fel(1,33),fel(2,33),fel(3,33)/
     $     0.562000E+00, 0.280000E-02, 0.140000E-01, 0.160000E-01/
      data fek(34),fel(1,34),fel(2,34),fel(3,34)/
     $     0.589000E+00, 0.320000E-02, 0.160000E-01, 0.180000E-01/
      data fek(35),fel(1,35),fel(2,35),fel(3,35)/
     $     0.618000E+00, 0.360000E-02, 0.180000E-01, 0.200000E-01/
      data fek(36),fel(1,36),fel(2,36),fel(3,36)/
     $     0.643000E+00, 0.410000E-02, 0.200000E-01, 0.220000E-01/
      data fek(37),fel(1,37),fel(2,37),fel(3,37)/
     $     0.667000E+00, 0.460000E-02, 0.220000E-01, 0.240000E-01/
      data fek(38),fel(1,38),fel(2,38),fel(3,38)/
     $     0.690000E+00, 0.510000E-02, 0.240000E-01, 0.260000E-01/
      data fek(39),fel(1,39),fel(2,39),fel(3,39)/
     $     0.710000E+00, 0.590000E-02, 0.260000E-01, 0.280000E-01/
      data fek(40),fel(1,40),fel(2,40),fel(3,40)/
     $     0.730000E+00, 0.680000E-02, 0.280000E-01, 0.310000E-01/
      data fek(41),fel(1,41),fel(2,41),fel(3,41)/
     $     0.747000E+00, 0.940000E-02, 0.310000E-01, 0.340000E-01/
      data fek(42),fel(1,42),fel(2,42),fel(3,42)/
     $     0.765000E+00, 0.100000E-01, 0.340000E-01, 0.370000E-01/
      data fek(43),fel(1,43),fel(2,43),fel(3,43)/
     $     0.780000E+00, 0.110000E-01, 0.370000E-01, 0.400000E-01/
      data fek(44),fel(1,44),fel(2,44),fel(3,44)/
     $     0.794000E+00, 0.120000E-01, 0.400000E-01, 0.430000E-01/
      data fek(45),fel(1,45),fel(2,45),fel(3,45)/
     $     0.808000E+00, 0.130000E-01, 0.430000E-01, 0.460000E-01/
      data fek(46),fel(1,46),fel(2,46),fel(3,46)/
     $     0.820000E+00, 0.140000E-01, 0.470000E-01, 0.490000E-01/
      data fek(47),fel(1,47),fel(2,47),fel(3,47)/
     $     0.831000E+00, 0.160000E-01, 0.510000E-01, 0.520000E-01/
      data fek(48),fel(1,48),fel(2,48),fel(3,48)/
     $     0.843000E+00, 0.180000E-01, 0.560000E-01, 0.560000E-01/
      data fek(49),fel(1,49),fel(2,49),fel(3,49)/
     $     0.853000E+00, 0.200000E-01, 0.610000E-01, 0.600000E-01/
      data fek(50),fel(1,50),fel(2,50),fel(3,50)/
     $     0.862000E+00, 0.370000E-01, 0.650000E-01, 0.640000E-01/
      data fek(51),fel(1,51),fel(2,51),fel(3,51)/
     $     0.870000E+00, 0.390000E-01, 0.690000E-01, 0.690000E-01/
      data fek(52),fel(1,52),fel(2,52),fel(3,52)/
     $     0.877000E+00, 0.410000E-01, 0.740000E-01, 0.740000E-01/
      data fek(53),fel(1,53),fel(2,53),fel(3,53)/
     $     0.884000E+00, 0.440000E-01, 0.790000E-01, 0.790000E-01/
      data fek(54),fel(1,54),fel(2,54),fel(3,54)/
     $     0.891000E+00, 0.460000E-01, 0.830000E-01, 0.850000E-01/
      data fek(55),fel(1,55),fel(2,55),fel(3,55)/
     $     0.897000E+00, 0.490000E-01, 0.900000E-01, 0.910000E-01/
      data fek(56),fel(1,56),fel(2,56),fel(3,56)/
     $     0.902000E+00, 0.520000E-01, 0.960000E-01, 0.970000E-01/
      data fek(57),fel(1,57),fel(2,57),fel(3,57)/
     $     0.907000E+00, 0.550000E-01, 0.103000E+00, 0.104000E+00/
      data fek(58),fel(1,58),fel(2,58),fel(3,58)/
     $     0.912000E+00, 0.580000E-01, 0.110000E+00, 0.111000E+00/
      data fek(59),fel(1,59),fel(2,59),fel(3,59)/
     $     0.917000E+00, 0.610000E-01, 0.117000E+00, 0.118000E+00/
      data fek(60),fel(1,60),fel(2,60),fel(3,60)/
     $     0.921000E+00, 0.640000E-01, 0.124000E+00, 0.125000E+00/
      data fek(61),fel(1,61),fel(2,61),fel(3,61)/
     $     0.925000E+00, 0.660000E-01, 0.132000E+00, 0.132000E+00/
      data fek(62),fel(1,62),fel(2,62),fel(3,62)/
     $     0.929000E+00, 0.710000E-01, 0.140000E+00, 0.139000E+00/
      data fek(63),fel(1,63),fel(2,63),fel(3,63)/
     $     0.932000E+00, 0.750000E-01, 0.149000E+00, 0.147000E+00/
      data fek(64),fel(1,64),fel(2,64),fel(3,64)/
     $     0.935000E+00, 0.790000E-01, 0.158000E+00, 0.155000E+00/
      data fek(65),fel(1,65),fel(2,65),fel(3,65)/
     $     0.938000E+00, 0.830000E-01, 0.167000E+00, 0.164000E+00/
      data fek(66),fel(1,66),fel(2,66),fel(3,66)/
     $     0.941000E+00, 0.890000E-01, 0.178000E+00, 0.174000E+00/
      data fek(67),fel(1,67),fel(2,67),fel(3,67)/
     $     0.944000E+00, 0.940000E-01, 0.189000E+00, 0.182000E+00/
      data fek(68),fel(1,68),fel(2,68),fel(3,68)/
     $     0.947000E+00, 0.100000E+00, 0.200000E+00, 0.192000E+00/
      data fek(69),fel(1,69),fel(2,69),fel(3,69)/
     $     0.949000E+00, 0.106000E+00, 0.211000E+00, 0.201000E+00/
      data fek(70),fel(1,70),fel(2,70),fel(3,70)/
     $     0.951000E+00, 0.112000E+00, 0.222000E+00, 0.210000E+00/
      data fek(71),fel(1,71),fel(2,71),fel(3,71)/
     $     0.953000E+00, 0.120000E+00, 0.234000E+00, 0.220000E+00/
      data fek(72),fel(1,72),fel(2,72),fel(3,72)/
     $     0.955000E+00, 0.128000E+00, 0.246000E+00, 0.231000E+00/
      data fek(73),fel(1,73),fel(2,73),fel(3,73)/
     $     0.957000E+00, 0.137000E+00, 0.258000E+00, 0.243000E+00/
      data fek(74),fel(1,74),fel(2,74),fel(3,74)/
     $     0.958000E+00, 0.147000E+00, 0.270000E+00, 0.255000E+00/
      data fek(75),fel(1,75),fel(2,75),fel(3,75)/
     $     0.959000E+00, 0.144000E+00, 0.283000E+00, 0.268000E+00/
      data fek(76),fel(1,76),fel(2,76),fel(3,76)/
     $     0.961000E+00, 0.130000E+00, 0.295000E+00, 0.281000E+00/
      data fek(77),fel(1,77),fel(2,77),fel(3,77)/
     $     0.962000E+00, 0.120000E+00, 0.308000E+00, 0.294000E+00/
      data fek(78),fel(1,78),fel(2,78),fel(3,78)/
     $     0.963000E+00, 0.114000E+00, 0.321000E+00, 0.306000E+00/
      data fek(79),fel(1,79),fel(2,79),fel(3,79)/
     $     0.964000E+00, 0.107000E+00, 0.334000E+00, 0.320000E+00/
      data fek(80),fel(1,80),fel(2,80),fel(3,80)/
     $     0.965000E+00, 0.107000E+00, 0.347000E+00, 0.333000E+00/
      data fek(81),fel(1,81),fel(2,81),fel(3,81)/
     $     0.966000E+00, 0.107000E+00, 0.360000E+00, 0.347000E+00/
      data fek(82),fel(1,82),fel(2,82),fel(3,82)/
     $     0.967000E+00, 0.112000E+00, 0.373000E+00, 0.360000E+00/
      data fek(83),fel(1,83),fel(2,83),fel(3,83)/
     $     0.968000E+00, 0.117000E+00, 0.387000E+00, 0.373000E+00/
      data fek(84),fel(1,84),fel(2,84),fel(3,84)/
     $     0.968000E+00, 0.122000E+00, 0.401000E+00, 0.386000E+00/
      data fek(85),fel(1,85),fel(2,85),fel(3,85)/
     $     0.969000E+00, 0.128000E+00, 0.415000E+00, 0.399000E+00/
      data fek(86),fel(1,86),fel(2,86),fel(3,86)/
     $     0.969000E+00, 0.134000E+00, 0.429000E+00, 0.411000E+00/
      data fek(87),fel(1,87),fel(2,87),fel(3,87)/
     $     0.970000E+00, 0.139000E+00, 0.443000E+00, 0.424000E+00/
      data fek(88),fel(1,88),fel(2,88),fel(3,88)/
     $     0.970000E+00, 0.146000E+00, 0.456000E+00, 0.437000E+00/
      data fek(89),fel(1,89),fel(2,89),fel(3,89)/
     $     0.971000E+00, 0.153000E+00, 0.468000E+00, 0.450000E+00/
      data fek(90),fel(1,90),fel(2,90),fel(3,90)/
     $     0.971000E+00, 0.161000E+00, 0.479000E+00, 0.463000E+00/
      data fek(91),fel(1,91),fel(2,91),fel(3,91)/
     $     0.972000E+00, 0.162000E+00, 0.472000E+00, 0.476000E+00/
      data fek(92),fel(1,92),fel(2,92),fel(3,92)/
     $     0.972000E+00, 0.176000E+00, 0.467000E+00, 0.489000E+00/
      data fek(93),fel(1,93),fel(2,93),fel(3,93)/
     $     0.973000E+00, 0.187000E+00, 0.466000E+00, 0.502000E+00/
      data fek(94),fel(1,94),fel(2,94),fel(3,94)/
     $     0.973000E+00, 0.205000E+00, 0.464000E+00, 0.514000E+00/
c*******************************************************************
c     programme starts (phew!)                                     *
c*******************************************************************
c------------------------------------------------------------------+
c     do not have 84,85,87-89 91 93                                |
c------------------------------------------------------------------+
      call upcase(mane)
      if(z.eq.84.or.z.eq.85.or.z.eq.87.or.z.eq.88.or.z.eq.89.or.
     $     z.eq.91.or.z.eq.93) then
         er=3
         if(erf) 
     $        print*,'**sorry no documents for Z=84,85,87-89,91,93**'
         goto 10001
      elseif(mane.eq.'PO'.or.mane.eq.'AT'.or.mane.eq.'FR'.or.mane.eq.
     $        'RA'.or.mane.eq.'AC'.or.mane.eq.'PA'.or.mane.eq.'NP') then
         er=3
         if(erf)print*,'**sorry no documents for '// 
     $        'PO,AT,FR,RA,AC,PA, and NP**'
         goto 10001
      endif
c------------------------------------------------------------------+
c     start                                                        |
c------------------------------------------------------------------+
      if(mane.eq.'  '.and.z.eq.0) then
         er=7
         if(erf) print*,'**no name no z what do you want?**'
         goto 10001
      endif
      if(mane.ne.'  ') then
         goto 10
      elseif(z.gt.94) then
         er=4
         if(erf) print*,'**no documents for Z > 94**'
         goto 10001
      else
         n=z
         mane=name(n)
         goto 20
      endif
 10   j=1
      call upcase(mane)
c------------------------------------------------------------------+
c     checking the name                                            |
c------------------------------------------------------------------+
 11   if(j.le.94.and.mane.eq.name(j)) then
         n=j
         z=j
         goto 20
      elseif(j.gt.94) then
         er=2
         if(erf) print*,'**WRONG NAME**'
         goto 10001
      else
         j=j+1
         goto 11
      endif
c--------------------------------------------------------------+
c     checking for zero energy input                           |
c--------------------------------------------------------------+
 20   if(en.lt.0) goto 20000
      if(en.eq.0) then
         er=1
         if(erf) print*,'**can not calculate for zero energy**'
         goto 10001
      else
         e=en
      endif
c-----------------------------------------------------------------+
c     initialize                                                  |
c-----------------------------------------------------------------+
      bsum=0
      sum=0
      chs=0
      csum=0
      cis=0
      cisum=0
c-------------------------------------------------------------------+
c     check for middle of edge input                                |
c-------------------------------------------------------------------+
      if(e.lt.ek(n).and.e.gt.ek(n)-.001) then
         goto 39
      elseif(e.lt.el(n).and.e.gt.el(n)-.001) then
         goto 39
      elseif(e.lt.em(n).and.e.gt.em(n)-.001) then
         goto 39
      else
         goto 38
      endif
 39   er=6
      if (erf) print*,'**energy at the middle of edge '//
     $     'using pre-edge fit results may be wrong**'
c------------------------------------------------------------------+
c     selecting correct range                                      |
c------------------------------------------------------------------+
 38   if(e.ge.ek(n)) then
         goto 70
      elseif(e.lt.ek(n).and.e.ge.l3(n)) then
         goto 40
      elseif(e.lt.l3(n).and.e.ge.em(n)) then
         goto 50
      elseif(e.lt.em(n)) then
         goto 60
      endif
c-------------------------------------------------------------------+
c     start calculation at last                                     |
c-------------------------------------------------------------------+
 40   do 100 i=0,3 	
c         if (e.eq.1.) then
c            bsum=al(i,n)*1.
c         else
            bsum=al(i,n)*(log(e))**i
c         endif
         sum=sum+bsum
 100  continue
      goto 80
 50   do 200 i=0,3 	
c         if (e.eq.1.) then
c            bsum=am(i,n)*1.
c         else
            bsum=am(i,n)*(log(e))**i
c         endif
         sum=sum+bsum
 200  continue
      goto 79
 60   do 300 i=0,3 	
c         if (e.eq.1.) then
c            bsum=an(i,n)*1.
c         else
            bsum=an(i,n)*(log(e))**i
c         endif
         sum=sum+bsum
 300  continue
      goto 80
 70   do 400 i=0,3
c         if (e.eq.1.) then
c            bsum=ak(i,n)*1.
c         else
            bsum=ak(i,n)*(log(e))**i
c         endif
         sum=sum+bsum
 400  continue
      goto 80
 79   if(n.le.29) then
         er=5
         if (erf) print*,'**WARNING:McMaster uses L1 edge results '
     $        //'may be imprecise for Z < 30**'
         bax=exp(sum)
         goto 89
      endif
 80   bax=exp(sum)
c----------------------------------------------------------------+
c     correct for l-edges since mcmaster uses l1-edge            |
c     use edge jumps for correct x-sections                      |
c----------------------------------------------------------------+
      if(e.ge.l3(n).and.e.lt.l2(n)) bax=bax/(lj1*lj2)
      if(e.ge.l2(n).and.e.lt.el(n)) bax=bax/lj1
c----------------------------------------------------------------+
c     calculate coherent and incoherent x-section                |
c----------------------------------------------------------------+
 89   do 90 i=0,3
         if (e.eq.1.) then
            csum=coh(i,n)*1.
         else
            csum=coh(i,n)*(log(e))**i
         endif
         chs=chs+csum
 90   continue
      bcox=exp(chs)
      do 500 i=0,3
         if (e.eq.1.) then
            cisum=cih(i,n)*1.
         else
            cisum=cih(i,n)*(log(e))**i
         endif
         cis=cis+cisum
 500  continue
      binx=exp(cis)
      btox=bax+bcox+binx
c----------------------------------------------------------------+
c     check what unit to use and stuff xsec array                |
c----------------------------------------------------------------+
      call upcase(unit)
      if(unit.eq.'C') then
         xsec(1)=bax/cf(n)
         xsec(2)=bcox/cf(n)
         xsec(3)=binx/cf(n)
         xsec(4)=btox/cf(n)
         goto 10000
      endif
      xsec(1)=bax
      xsec(2)=bcox
      xsec(3)=binx
      xsec(4)=btox
10000 xsec(5)=cf(n)
      xsec(6)=btox*den(n)/cf(n)
20000 xsec(7)=atwt(n)
      xsec(8)=den(n)
      if(n.ge.27) xsec(9)=lj2
      xsec(10)=lj3(n)
c----------------------------------------------------------------+
c     stuff the energy array                                     |
c----------------------------------------------------------------+
      energy(1)=ek(n)
      energy(2)=el(n)
      energy(3)=l2(n)
      energy(4)=l3(n)
      energy(5)=em(n)
      energy(6)=ka(n)
      energy(7)=kb(n)
      energy(8)=la(n)
      energy(9)=lb(n)
c----------------------------------------------------------------+
c     stuff the fluorescence yield array                         |
c----------------------------------------------------------------+
      fly(1)=fek(n)
      fly(2)=fel(1,n)
      fly(3)=fel(2,n)
      fly(4)=fel(3,n)
10001 continue
      end
      






